Index: collections/documented-examples/trunk/bibtex-e/etc/collect.cfg
===================================================================
--- collections/documented-examples/trunk/bibtex-e/etc/collect.cfg	(revision 19132)
+++ collections/documented-examples/trunk/bibtex-e/etc/collect.cfg	(revision 19134)
@@ -7,22 +7,19 @@
 groupsize	200
 
+indexes		text metadata
+
+plugin		BibTexPlugin
+plugin		GreenstoneXMLPlugin
+plugin		MetadataXMLPlugin
+plugin		ArchivesInfPlugin
+plugin		DirectoryPlugin
+
+classify	AZList -metadata Title
+classify	AZCompactList -metadata Author -buttonname Creator
+classify	DateList -metadata Date
+
+classify	Phind -text document:Title,document:Creator,document:Booktitle,document:Publisher
+
 format SearchTypes "form,plain"
-
-indexes		text metadata
-
-plugin		ZIPPlug
-plugin		GAPlug
-plugin		MetadataXMLPlug
-plugin		BibTexPlug
-plugin		ArcPlug
-plugin		RecPlug
-
-classify	AZList -metadata Title
-
-classify	AZCompactList -metadata Author -buttonname Creator
-
-classify	DateList -metadata Date
-
-classify	Phind -text document:Title,document:Creator,document:Booktitle,document:Publisher
 
 format VList "<td valign=top>[link][icon][/link]</td>
@@ -78,7 +75,4 @@
 
 collectionmeta	collectionname [l=en] "Bibliography collection"
-collectionmeta	.document:text [l=en] "text"
-collectionmeta	.document:Title [l=en] "titles"
-collectionmeta	.document:Source [l=en] "filenames"
 collectionmeta	.text [l=en] "full records"
 collectionmeta	.Title [l=en] "titles"
@@ -201,8 +195,9 @@
 
 # -- English text ----------------
-collectionmeta	collectionextra [l=en] "This collection, which contains _about:numdocs_
-    BibTeX entries, is a collection of working papers published from 1997 to 2006 
-    at <a href=\"http://www.cs.waikato.ac.nz/\">Department of Computer Science</a>, 
-    <a href=\"http://www.waikato.ac.nz/\">the University of Waikato</a>.\n
+collectionmeta	collectionextra [l=en] "
+This collection, which contains _about:numdocs_
+BibTeX entries, is a collection of working papers published from 1997 to 2006 
+at <a href=\"http://www.cs.waikato.ac.nz/\">Department of Computer Science</a>,
+<a href=\"http://www.waikato.ac.nz/\">the University of Waikato</a>.\n
 
 \n<h3>How the collection works</h3>\n
@@ -210,5 +205,5 @@
 <p>
 The collection incorporates a
-<a href=\"_gwcgi_?l=_cgiargl_&c=bibliogr&a=q&ct=1&qt=1\">form-based search interface</a> that allows
+<a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=q&ct=1&qt=1\">form-based search interface</a> that allows
 fielded searching. In Greenstone, this means that an enhanced search engine
 (called <i>mgpp</i>) must be used, rather than Greenstone\'s default search engine
@@ -216,9 +211,9 @@
 <a href=\"http://www.greenstone.org/manuals/mgpp_user.pdf\">help document</a>
 for <i>mgpp</i>.
-The collection has an <a href=\"_gwcgi_?l=_cgiargl_&c=bibliogr&a=q&ct=1&qt=1&qf=1\">\"advanced\" form
+The collection has an <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=q&ct=1&qt=1&qf=1\">\"advanced\" form
 search interface</a>, and also a plain
-<a href=\"_gwcgi_?l=_cgiargl_&c=bibliogr&a=q&ct=1&qt=0\">single-field search page</a>.  These two variants
+<a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=q&ct=1&qt=0\">single-field search page</a>.  These two variants
 can be selected from the collection\'s
-<a href=\"_gwcgi_?l=_cgiargl_&c=bibliogr&a=p&p=preferences&ct=1&qt=1\">Preferences</a> page.\n
+<a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=p&p=preferences&ct=1&qt=1\">Preferences</a> page.\n
 
 <p>
@@ -232,6 +227,6 @@
 <p>
 Apart for the standard ones, the plugins specified for this collection are
-<i>ZIPPlug</i>, which unzips compressed documents and archives, and
-<i>BibTexPlug</i>, which processes references in the BibTeX format (well known
+<i>ZIPPlugin</i>, which unzips compressed documents and archives, and
+<i>BibTexPlugin</i>, which processes references in the BibTeX format (well known
 to computer scientists).\n
 
@@ -258,5 +253,5 @@
 In this case the <i>indexes</i> line specifies searchable indexes on the full
 text and on every metadata field. Thus when the \"field\" menus in the
-<a href=\"_gwcgi_?l=_cgiargl_&c=bibliogr&a=q&ct=1&qt=1\">search page</a> are pulled down, they show
+<a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=q&ct=1&qt=1\">search page</a> are pulled down, they show
 <i>full records</i> followed by an entry for each metadata element.
 Collection-level metadata <i>collectionmeta</i> can be specified for any index
@@ -272,5 +267,5 @@
 classifier used for the <i>Author</i> browser is like <i>AZList</i> but
 generates a bookshelf for duplicate items as shown <a
-href=\"_gwcgi_?l=_cgiargl_&c=bibliogr&a=d&cl=CL2\">here</a>. The BibTeX plugin records each
+href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL2\">here</a>. The BibTeX plugin records each
 author as <i>Author</i> metadata; it also puts a list containing all authors
 into the <i>Creator</i> metadata element. Consequently the <i>AZCompactList</i>
@@ -281,5 +276,5 @@
 <p>
 The \"Phind\" classifier creates a phrase index like
-<a href=\"_gwcgi_?l=_cgiargl_&c=bibliogr&a=d&cl=CL4\">this</a>. It contains a browsable list
+<a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL4\">this</a>. It contains a browsable list
 of phrases extracted from the material specified
 in the <i>text</i> argument of the <i>classify Phind</i> line in the
@@ -313,5 +308,5 @@
 reference); the title in bold; <i>Creator</i> metadata if there is any,
 otherwise <i>Editor</i> metadata; and <i>Date</i> metadata if there is any.
-<a href=\"_gwcgi_?l=_cgiargl_&c=bibliogr&a=q&ct=1&qt=1&r=1&hs=1&fqa=0&fqv=Jain,,,&fqf=TX,CR,BO,SO\">Here</a>
+<a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=q&ct=1&qt=1&r=1&hs=1&fqa=0&fqv=Jain,,,&fqf=TX,CR,BO,SO\">Here</a>
 is an example.\n
 
@@ -326,5 +321,5 @@
 metadata, so its title -- the title of the classifier -- is actually the author\'s
 name! This means that the bookshelf nodes
-<a href=\"_gwcgi_?l=_cgiargl_&c=bibliogr&a=d&cl=CL2\">here</a> are labeled by author\'s name.
+<a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL2\">here</a> are labeled by author\'s name.
 The leaf nodes, however, are labeled the same way as documents (i.e. references)
 are in the search results list.\n
@@ -332,5 +327,5 @@
 <p>
 The documents themselves (here is an
-<a href=\"_gwcgi_?l=_cgiargl_&a=d&c=bibliogr&cl=CL1.12&d=HASH019158002a5f5d5ee754c0f4_135\">example</a>)
+<a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=HASH019158002a5f5d5ee754c0f4_135\">example</a>)
 are generated by two format statements, one (a long one)
 called <i>DocumentHeading</i>, and another called <i>DocumentText</i>. The
@@ -349,5 +344,5 @@
 hyperlink is clicked, the <i>href</i> goes to the same URL but with
 <i>showrecord=1</i>, which generates a page like <a
-href=\"_gwcgi_?l=_cgiargl_&a=d&c=bibliogr&cl=CL1.12&d=HASH019158002a5f5d5ee754c0f4_135&showrecord=1\">this</a>.
+href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=HASH019158002a5f5d5ee754c0f4_135&showrecord=1\">this</a>.
 The <i>If</i> test succeeds, which shows the <i>Text</i> of the document. With
 the BibTeX plugin, the text of a document is its unadulterated BibTeX record.\n