Index: collections/documented-examples/trunk/bibtex-e/etc/collect.cfg
===================================================================
--- collections/documented-examples/trunk/bibtex-e/etc/collect.cfg	(revision 19134)
+++ collections/documented-examples/trunk/bibtex-e/etc/collect.cfg	(revision 19135)
@@ -476,8 +476,8 @@
 <p>
 
-Aparte de los plugins estÃ¡ndar esta colecciÃ³n cuenta con <i>ZIPPlug</i>, que descomprime los documentos y archivos comprimidos, y <i>BibTexPlug</i>, que procesa las referencias en el formato BibTeX (bastante conocido por los especialistas en informÃ¡tica).
-<p>
-
-La bÃºsqueda por campos con una interfaz basada en formas se selecciona por medio de la <i>forma searchtype</i> en el archivo de configuraciÃ³n. De hecho, esta colecciÃ³n tambiÃ©n utiliza la <i>forma searchtype de sÃ³lo texto</i>, la cual incluye asimismo un  Ã­ndice de bÃºsqueda de textos completos (ya que <i>forma</i> viene primero, Ã©sta es la interfaz por omisiÃ³n; la bÃºsqueda <i>de sÃ³lo texto</i> se puede seleccionar por medio de la pÃ¡gina de <i>Preferencias</i>).
+Aparte de los plugins estÃ¡ndar esta colecciÃ³n cuenta con <i>ZIPPlugin</i>, que descomprime los documentos y archivos comprimidos, y <i>BibTexPlugin</i>, que procesa las referencias en el formato BibTeX (bastante conocido por los especialistas en informÃ¡tica).
+<p>
+
+La bÃºsqueda por campos con una interfaz basada en formas se selecciona por medio de la <i>format SearchTypes \"form,plain\"</i> en el archivo de configuraciÃ³n. De hecho, esta colecciÃ³n tambiÃ©n utiliza la <i>forma searchtype de sÃ³lo texto</i>, la cual incluye asimismo un  Ã­ndice de bÃºsqueda de textos completos (ya que <i>form</i> viene primero, Ã©sta es la interfaz por omisiÃ³n; la bÃºsqueda <i>plain</i> se puede seleccionar por medio de la pÃ¡gina de <i>Preferencias</i>).
 <p>
 
@@ -546,6 +546,6 @@
 
 Ð ÐŸÑÐ»ÐžÑÐžÐµ ÐŸÑ ÑÑÐ°ÐœÐŽÐ°ÑÑÐœÑÑ
-, ÑÐ¿ÐµÑÐžÑÐžÑÐœÑÐŒÐž Ð¿Ð»Ð°Ð³ÐžÐœÐ°ÐŒÐž ÐŽÐ»Ñ ÑÑÐŸÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž ÑÐ²Ð»ÑÑÑÑÑ -- <i>ZIPPlug</i>, ÐºÐŸÑÐŸÑÑÐ¹ ÑÐ°ÑÐ¿Ð°ÐºÐŸÐ²ÑÐ²Ð°ÑÑ ÑÐ¶Ð°ÑÑÐµ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ Ðž Ð°ÑÑ
-ÐžÐ²Ñ, Ðž <i>BibTexPlug</i>, ÐºÐŸÑÐŸÑÑÐ¹ ÐŸÐ±ÑÐ°Ð±Ð°ÑÑÐ²Ð°ÐµÑ ÑÑÑÐ»ÐºÐž Ð² ÑÐŸÑÐŒÐ°ÑÐµ BibTex, Ñ
+, ÑÐ¿ÐµÑÐžÑÐžÑÐœÑÐŒÐž Ð¿Ð»Ð°Ð³ÐžÐœÐ°ÐŒÐž ÐŽÐ»Ñ ÑÑÐŸÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž ÑÐ²Ð»ÑÑÑÑÑ -- <i>ZIPPlugin</i>, ÐºÐŸÑÐŸÑÑÐ¹ ÑÐ°ÑÐ¿Ð°ÐºÐŸÐ²ÑÐ²Ð°ÑÑ ÑÐ¶Ð°ÑÑÐµ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ Ðž Ð°ÑÑ
+ÐžÐ²Ñ, Ðž <i>BibTexPlugin</i>, ÐºÐŸÑÐŸÑÑÐ¹ ÐŸÐ±ÑÐ°Ð±Ð°ÑÑÐ²Ð°ÐµÑ ÑÑÑÐ»ÐºÐž Ð² ÑÐŸÑÐŒÐ°ÑÐµ BibTex, Ñ
 ÐŸÑÐŸÑÐŸ ÐžÐ·Ð²ÐµÑÑÐœÐŸÐŒ  ÐŽÐ»Ñ ÑÑÐµÐœÑÑ
 .
@@ -553,5 +553,5 @@
 <p>
 
-ÐÐŸÐžÑÐº Ð¿ÐŸ Ð¿ÐŸÐ»ÑÐŒ Ñ ÐžÐœÑÐµÑÑÐµÐ¹ÑÐŸÐŒ ÐœÐ° ÑÐ°Ð±Ð»ÐžÑÐœÐŸÐ¹ ÐŸÑÐœÐŸÐ²Ðµ ÐŸÑÑÑÐµÑÑÐ²Ð»ÑÐµÑÑÑ ÑÐŸÑÐŒÐ°ÑÐŸÐŒ <i>searchtype form</i> Ð² ÐºÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÐŸÐœÐœÐŸÐŒ ÑÐ°Ð¹Ð»Ðµ. Ð€Ð°ÐºÑÐžÑÐµÑÐºÐž ÑÑÐ° ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐµÑ Ð¿ÑÐŸÑÑÐŸÐ¹ ÑÐŸÑÐŒÐ°Ñ <i>searchtype</i>, ÐºÐŸÑÐŸÑÑÐ¹ Ð²ÐºÐ»ÑÑÐ°ÐµÑ Ð¿ÑÐŸÑÑÐŸÐ¹ ÑÐµÐºÑÑÐŸÐ²ÑÐ¹ ÐžÐœÐŽÐµÐºÑ ÐŽÐ»Ñ Ð¿ÐŸÐ»ÐœÐŸÑÐµÐºÑÑÐŸÐ²ÐŸÐ³ÐŸ Ð¿ÐŸÐžÑÐºÐ°, Ð° ÑÐ°ÐºÐ¶Ðµ (ÑÐ°Ðº ÐºÐ°Ðº <i>form</i> Ð¿ÐŸÑÐ²Ð»ÑÐµÑÑÑ ÑÐœÐ°ÑÐ°Ð»Ð°, ÑÑÐŸ -- ÐžÐœÑÐµÑÑÐµÐ¹Ñ Ð¿ÐŸ ÑÐŒÐŸÐ»ÑÐ°ÐœÐžÑ). ÐÑ ÐŒÐŸÐ¶ÐµÑÐµ Ð²ÑÐ±ÑÐ°ÑÑ Ð¿ÑÐŸÑÑÐŸÐ¹  Ð¿Ð»ÐŸÑÐºÐžÐ¹ (<i>plain</i>) Ð¿ÐŸÐžÑÐº ÐžÐ· ÑÑÑÐ°ÐœÐžÑÑ ÐÑÐµÐŽÐ¿ÐŸÑÑÐµÐœÐžÐ¹  (<i>Preferences</i>).
+ÐÐŸÐžÑÐº Ð¿ÐŸ Ð¿ÐŸÐ»ÑÐŒ Ñ ÐžÐœÑÐµÑÑÐµÐ¹ÑÐŸÐŒ ÐœÐ° ÑÐ°Ð±Ð»ÐžÑÐœÐŸÐ¹ ÐŸÑÐœÐŸÐ²Ðµ ÐŸÑÑÑÐµÑÑÐ²Ð»ÑÐµÑÑÑ ÑÐŸÑÐŒÐ°ÑÐŸÐŒ <i>format SearchTypes \"form,plain\"</i> Ð² ÐºÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÐŸÐœÐœÐŸÐŒ ÑÐ°Ð¹Ð»Ðµ. Ð€Ð°ÐºÑÐžÑÐµÑÐºÐž ÑÑÐ° ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐµÑ Ð¿ÑÐŸÑÑÐŸÐ¹ ÑÐŸÑÐŒÐ°Ñ <i>searchtype</i>, ÐºÐŸÑÐŸÑÑÐ¹ Ð²ÐºÐ»ÑÑÐ°ÐµÑ Ð¿ÑÐŸÑÑÐŸÐ¹ ÑÐµÐºÑÑÐŸÐ²ÑÐ¹ ÐžÐœÐŽÐµÐºÑ ÐŽÐ»Ñ Ð¿ÐŸÐ»ÐœÐŸÑÐµÐºÑÑÐŸÐ²ÐŸÐ³ÐŸ Ð¿ÐŸÐžÑÐºÐ°, Ð° ÑÐ°ÐºÐ¶Ðµ (ÑÐ°Ðº ÐºÐ°Ðº <i>form</i> Ð¿ÐŸÑÐ²Ð»ÑÐµÑÑÑ ÑÐœÐ°ÑÐ°Ð»Ð°, ÑÑÐŸ -- ÐžÐœÑÐµÑÑÐµÐ¹Ñ Ð¿ÐŸ ÑÐŒÐŸÐ»ÑÐ°ÐœÐžÑ). ÐÑ ÐŒÐŸÐ¶ÐµÑÐµ Ð²ÑÐ±ÑÐ°ÑÑ Ð¿ÑÐŸÑÑÐŸÐ¹  Ð¿Ð»ÐŸÑÐºÐžÐ¹ (<i>plain</i>) Ð¿ÐŸÐžÑÐº ÐžÐ· ÑÑÑÐ°ÐœÐžÑÑ ÐÑÐµÐŽÐ¿ÐŸÑÑÐµÐœÐžÐ¹  (<i>Preferences</i>).
 
 <p>