Index: collections/documented-examples/trunk/wiki-e/etc/collect.cfg
===================================================================
--- collections/documented-examples/trunk/wiki-e/etc/collect.cfg	(revision 19068)
+++ collections/documented-examples/trunk/wiki-e/etc/collect.cfg	(revision 19148)
@@ -15,6 +15,6 @@
 plugin		WordPlugin
 plugin		NulPlugin
+plugin		MediaWikiPlugin -searchbox_div_exp <div([^>]*)id=(\"|')p-search(\"|')(.|\n)*?</div> -show_toc -delete_toc -remove_title_suffix_exp " - (.*)" -toc_exp <table([^>]*)id=(\"|')toc(\"|')(.|\n)*?</table>\n -nav_div_exp <div([^>]*)id=(\"|')p-navigation(\"|')(.|\n)*?</div> -delete_searchbox -delete_nav
 plugin		MetadataXMLPlugin
-plugin		MediaWikiPlugin -searchbox_div_exp <div([^>]*)id=(\"|')p-search(\"|')(.|\n)*?</div> -show_toc -delete_toc -remove_title_suffix_exp " - (.*)" -toc_exp <table([^>]*)id=(\"|')toc(\"|')(.|\n)*?</table>\n -nav_div_exp <div([^>]*)id=(\"|')p-navigation(\"|')(.|\n)*?</div> -delete_searchbox -delete_nav
 plugin		ArchivesInfPlugin
 plugin		DirectoryPlugin
@@ -37,28 +37,46 @@
 format DocumentButtons "Detach|Highlight"
 
-format SearchTypes "plain,form"
+format SearchTypes "plain"
 
-collectionmeta	collectionname [l=en] "wiki"
-collectionmeta	.document:text [l=en] "text"
-collectionmeta	.document:Title [l=en] "titles"
-collectionmeta	.document:Source [l=en] "filenames"
-collectionmeta	.text [l=en] "text"
-collectionmeta	.Title [l=en] "titles"
-collectionmeta	.Source [l=en] "filenames"
+collectionmeta	.text  "_labeltext_"
+collectionmeta	.Title  "_labeltitle_"
+collectionmeta	.Source "_labelSource_"
 
 # -- English text ----------------
-collectionmeta	collectionextra [l=en] "This demonstration collection is made from the Greenstone Wiki website. It shows off the new feature of building a Greenstone collection from a MediaWiki website in Greestone.\n
+collectionmeta	collectionname [l=en] "MediaWiki collection"
+collectionmeta	collectionextra [l=en] "
+This demonstration collection is made from the Greenstone Wiki website. 
+It shows off the new feature of building a Greenstone collection from a 
+MediaWiki website in Greestone.
 
-<h3>How the collection works</h3>\n
+<h3>How the collection works</h3>
 
 <p>
-The <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>collection configuration file</a> contains nine plugins <i>MediaWikiPlug</i>, <i>ImagePlug</i>, <i>ZipPlug</i>, <i>PDFPlug</i>, <i>PPTPlug</i>, <i>WordPlug</i> (along with the standard three <i>GAPlug</i>, <i>ArcPlug</i> and <i>RecPlug</i>). The <i>MediaWikiPlug</i> handles the HTML pages downloaded from a MediaWiki website, while the <i>ImagePlug</i>, <i>ZipPlug</i>, <i>PDFPlug</i>, <i>PPTPlug</i>, <i>WordPlug</i> handles the image, zip, PDF, PPT and Word files associated with the Greenstone Wiki. \n
+The <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>collection
+ configuration file</a> contains the plugins <i>MediaWikiPlugin</i>, 
+<i>ImagePlugin</i>, <i>ZipPlugin</i>, <i>PDFPlugin</i>, 
+<i>PowerPointPlugin</i>, <i>WordPlugin</i> (along with the standard 
+plugins <i>GreenstoneXMLPlugin</i>, <i>ArchivesInfPlugin</i> and 
+<i>DirectoryPlugin</i>). The <i>MediaWikiPlugin</i> handles the HTML pages 
+downloaded from a MediaWiki website, while <i>ImagePlugin</i>, 
+<i>ZipPlugin</i>, <i>PDFPlugin</i>, <i>PowerPointPlugin</i> and 
+<i>WordPlugin</i> handle the image, zip, PDF, PowerPoint and Word 
+files associated with the Greenstone Wiki. 
 
 <p>
-To build the collection from a MediaWiki website, first add the new <i>MediaWiki</i> download plug on the <i>Download</i> panel of GLI. This plug works in a similar way with the <i>Web</i> download plug, but is speically for crawling MediaWiki websites.\n
+To build a collection from a MediaWiki website, first download the wiki 
+files using the <i>MediaWiki</i> option on the <i>Download</i> panel of GLI. 
+This download type works in a similar way to a the <i>Web</i> download, but 
+is specially designed for crawling MediaWiki websites.\n
 
+<p>Once the files are downloaded, copy them into a collection using the <i>Gather</i>, dragging them from the <i>Downloaded Files</i> folder in the Workspace tree on the left-hand side.
+ 
 <p>
-In the <i>Document Plugins</i> section of the <i>Design</i> panel, add <i>MediaWikiPlug</i>. <i>MediaWikiPlug</i> has 5 options, <i>show_toc</i>, <i>toc_exp</i>, <i>delete_toc</i>, <i>delete_nav</i>, <i>nav_exp</i>. Switch on <i>show_toc</i> will copy the table of contents on the website\'s main page to the collection\'s about page. This needs to specify a regex expression for the table of contents in the <i>toc_exp</i> option. Select the <i>delete_toc</i> option will surpress the table of content on each Wiki page. <i>delete_nav</i> and <i>nav_exp</i> options are for supressing the navigation toolbar, which is normally on the left side of a wiki page, and the <i>nav_exp</i> option is an regular expression of the position of the navigation toolbar. \n
+In the <i>Document Plugins</i> section of the <i>Design</i> panel, 
+add <i>MediaWikiPlugin</i>. <i>MediaWikiPlugin</i> has several specific 
+options which control aspects of page presentation, such as whether or not 
+the table of contents, navigation toolbars and search box are shown on each 
+page. Configure these options based on how you want the pages to appear. You can see the options used by this collection in its 
+<a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>collection
+ configuration file</a>.
 "
-collectionmeta	iconcollection [l=en] "_httpprefix_/collect/wiki/images/en/wiki.gif"
-collectionmeta	iconcollectionsmall [l=en] "_httpprefix_/collect/wiki/images/en/wiki.gif"