Index: /documentation/trunk/tutorial_sample_files/beatles/README.txt
===================================================================
--- /documentation/trunk/tutorial_sample_files/beatles/README.txt	(revision 19162)
+++ /documentation/trunk/tutorial_sample_files/beatles/README.txt	(revision 19162)
@@ -0,0 +1,149 @@
+Copyright Information
+----------------------
+
+This folder contains sample files for building multimedia collections. 
+
+More information is availabe at
+http://wiki.greenstone.org/wiki/gsdoc/tutorial/en/multimedia_collection_explore.htm
+http://wiki.greenstone.org/wiki/gsdoc/tutorial/en/multimedia_collection_build.htm
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: /documentation/trunk/tutorial_sample_files/dspace/README.txt
===================================================================
--- /documentation/trunk/tutorial_sample_files/dspace/README.txt	(revision 19162)
+++ /documentation/trunk/tutorial_sample_files/dspace/README.txt	(revision 19162)
@@ -0,0 +1,147 @@
+Copyright Information
+----------------------
+
+
+The documents contained in this folder are papers published by 
+the members of the New Zealand Digital Library Project, 
+at the Department of Computer Science, University of Waikato.
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: /documentation/trunk/tutorial_sample_files/images/README.txt
===================================================================
--- /documentation/trunk/tutorial_sample_files/images/README.txt	(revision 19162)
+++ /documentation/trunk/tutorial_sample_files/images/README.txt	(revision 19162)
@@ -0,0 +1,145 @@
+Copyright Information
+----------------------
+
+Images in this folder are taken by members of the New Zealand Digital Library Project, 
+at the Department of Computer Science, University of Waikato.
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: /documentation/trunk/tutorial_sample_files/isis/README.txt
===================================================================
--- /documentation/trunk/tutorial_sample_files/isis/README.txt	(revision 19162)
+++ /documentation/trunk/tutorial_sample_files/isis/README.txt	(revision 19162)
@@ -0,0 +1,144 @@
+Copyright Information
+----------------------
+
+The three files in this folder (slide.fdt, slide.mst and slide.xrf) come from 
+the UNESCO library catalogue supplied by UNESCO.
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: /documentation/trunk/tutorial_sample_files/marc/README.txt
===================================================================
--- /documentation/trunk/tutorial_sample_files/marc/README.txt	(revision 19162)
+++ /documentation/trunk/tutorial_sample_files/marc/README.txt	(revision 19162)
@@ -0,0 +1,145 @@
+Copyright Information
+----------------------
+
+The CMSwp-all.marc file contains 234 MARC records of working papers published by 
+Computer Science Department at the University of Waikato.
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: /documentation/trunk/tutorial_sample_files/niupepa/README.txt
===================================================================
--- /documentation/trunk/tutorial_sample_files/niupepa/README.txt	(revision 19162)
+++ /documentation/trunk/tutorial_sample_files/niupepa/README.txt	(revision 19162)
@@ -0,0 +1,20 @@
+Copyright Information
+----------------------
+
+Mateirals in the sample_items and new_papers folders are from the Niupepa collection, 
+which has been made available by the New Zealand Digital Library Project, 
+at the Department of Computer Science, University of Waikato.
+
+More information about the Niupepa collection is available at 
+http://www.nzdl.org/cgi-bin/library?a=p&p=about&c=niupepa
+
+
+
+
+
+
+
+
+
+
+
Index: /documentation/trunk/tutorial_sample_files/oai/README.txt
===================================================================
--- /documentation/trunk/tutorial_sample_files/oai/README.txt	(revision 19162)
+++ /documentation/trunk/tutorial_sample_files/oai/README.txt	(revision 19162)
@@ -0,0 +1,184 @@
+Copyright Information
+----------------------
+
+Mateirals in the sample_small folder were retrieved from rocky.dlib.vt.edu/~jcdlpix, 
+a collection of photographs taken at the inaugural Joint Conference on Digital Libraries.
+The images and metadata records contained here are distributable, as shown by the copyright 
+information (unrestricted) in the records (an example record is attached as below).
+
+
+Example record with copyright information
+-----------------------------------------
+<?xml version="1.0" encoding="UTF-8"?>
+
+<GetRecord xmlns="http://www.openarchives.org/OAI/1.1/OAI_GetRecord" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.openarchives.org/OAI/1.1/OAI_GetRecord http://www.openarchives.org/OAI/1.1/OAI_GetRecord.xsd">
+
+<responseDate>2003-12-04T22:30:05-05:00</responseDate>
+<requestURL>http://rocky.dlib.vt.edu:80/~jcdlpix/cgi-bin/OAI1.1/jcdlpix.pl?verb=GetRecord&amp;metadataPrefix=oai_dc&amp;identifier=oai%3AJCDLPICS%3A200101dla12</requestURL>
+
+<record>
+<header>
+<identifier>oai:JCDLPICS:200101dla12</identifier>
+<datestamp>2001-06-26</datestamp>
+</header>
+<metadata>
+<dc xmlns="http://purl.org/dc/elements/1.1/" xsi:schemaLocation="http://purl.org/dc/elements/1.1/ http://www.openarchives.org/OAI/1.1/dc.xsd" >
+   <title>01dla12</title>
+   <creator>Hussein Suleman</creator>
+   <subject>JCDL Day One</subject>
+   <description>more Ian Witten</description>
+   <publisher>JCDL</publisher>
+   <date>2001-06-24</date>
+   <type>image</type>
+   <format>image/jpeg</format>
+   <OrigURL>http://rocky.dlib.vt.edu/~jcdlpix/pictures/200101dla/01dla12.jpg</OrigURL>
+   <identifier>srcdocs/01dla12.jpg</identifier>
+   <language>en-us</language>
+   <rights>unrestricted</rights>
+</dc>
+</metadata>
+</record>
+
+</GetRecord>
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
Index: /documentation/trunk/tutorial_sample_files/simple_html/README.txt
===================================================================
--- /documentation/trunk/tutorial_sample_files/simple_html/README.txt	(revision 19162)
+++ /documentation/trunk/tutorial_sample_files/simple_html/README.txt	(revision 19162)
@@ -0,0 +1,111 @@
+Copyright Information
+--------------------------
+
+This material is from Marilee  
+Hanson's Tudor England Collection at http://englishhistory.net/tudor.html, 
+distributed with her permission (shown as below).
+
+
+--------------------------
+> From: Marilee Mongello <marilee@englishhistory.net>
+> Date: 4 May 2007 3:25:52 AM
+> To: Ian Witten <ihw@cs.waikato.ac.nz>
+> Subject: Re: Tudor England Collection
+> Reply-To: email@englishhistory.net
+>
+> Mr Witten, forgive me for not replying sooner - I have serious spam  
+> problems with my email address so it takes a while to sort through  
+> everything to get to non-spam messages.
+>
+> It sounds like a wonderful project, and I certainly don't mind if  
+> you use the materials from my site.  You can use my name - Marilee  
+> Hanson - when you credit the material and / or site.
+>
+> Good luck with your work, and please let me know if you need  
+> anymore information.
+>
+> Take care,
+> -Marilee Hanson
+>
+> Ian Witten <ihw@cs.waikato.ac.nz> wrote: Marilee, can you help me  
+> with the request below that I sent you a
+> week ago? Do you need any more information?
+> cheers
+> ian
+>
+> Begin forwarded message:
+>
+> > From: Ian Witten
+> > Date: 23 April 2007 11:25:45 AM
+> > To: marilee@englishhistory.net
+> > Cc: Shaoqun Wu
+> > Subject: Tudor England Collection
+> >
+> > Marilee, this is an unusual request.
+> >
+> > I run the New Zealand Digital Library project (http://nzdl.org),
+> > and we have produced the Greenstone Digital Library Software
+> > (httip://greenstone.org) which is widely used around the world,
+> > particularly in developing countries, and is sponsored and
+> > supported by UNESCO. Greenstone is open source, distributed under
+> > the GNU General Public License. If you are interested in learning
+> > more about the project, a brief history appears at
+> >
+> > http://greenstonewiki.cs.waikato.ac.nz/wiki/gsdoc/others/
+> > Greenstone_history.htm
+> >
+> > We run training courses for the Greenstone software, and are
+> > producing a collection of Tutorial Exercises for people to use in
+> > training courses and for independent study. We seek interesting
+> > material to use as the basis for training exercises, and would like
+> > to use material from your Tudor England Collection for three of the
+> > exercises.
+> >
+> > You can see the exercises in draft form at
+> >
+> > http://greenstonewiki.cs.waikato.ac.nz/wiki/gsdoc/tutorial/en/
+> > large_html_collection.htm
+> > http://greenstonewiki.cs.waikato.ac.nz/wiki/gsdoc/tutorial/en/
+> > enhanced_html_collection.htm
+> > http://greenstonewiki.cs.waikato.ac.nz/wiki/gsdoc/tutorial/en/
+> > enhanced_html_collection.htm
+> > http://greenstonewiki.cs.waikato.ac.nz/wiki/gsdoc/tutorial/en/
+> > downloading_from_internet.htm
+> >
+> > ()there is a list of all the exercises at http://
+> > greenstonewiki.cs.waikato.ac.nz/wiki/index.php/Tutorial_exercises)
+> >
+> > I don't expect you will find these exercises very interesting! -- I
+> > am just giving you the context for my request. When students do the
+> > exercises, they end up producing a Greenstone collection like the
+> > one at
+> >
+> > http://www.nzdl.org/cgi-bin/library?a=p&p=about&c=tudor
+> >
+> > What I am asking for is permission from you to use this material
+> > from your website in our exercises, and also on a CD-ROM
+> > incorporating the Greenstone software that UNESCO will distribute
+> > freely in developing countries. All this stuff is given away for
+> > free; this is not a for-profit exercise (quite the reverse!)
+> >
+> > Ideally we would like a letter from you stating that it is OK for
+> > us to use the material in the way I have outlined, and distribute
+> > it freely. I would also like to know just how you would like the
+> > credits worded in the exercises at the above URLs.
+> >
+> > I realize that copyright is a very complex business -- and judging
+> > from your website I think you know more about it than I do -- but
+> > it would be nice to have some kind of letter stating that our
+> > intended use is OK. In fact, the people who produce the UNESCO CD-
+> > ROM may require documentation that we have permission to reproduce
+> > all the material on it.
+> >
+> > Looking forward to hearing from you
+> > ian
+> >
+> > Ian H. Witten
+> > Director, New Zealand Digital Library Project
+> >
+> >
+>
+> 