Index: collections/documented-examples/trunk/bibtex-e/etc/collect.cfg
===================================================================
--- collections/documented-examples/trunk/bibtex-e/etc/collect.cfg	(revision 19163)
+++ collections/documented-examples/trunk/bibtex-e/etc/collect.cfg	(revision 19164)
@@ -201,11 +201,4 @@
 
 <p>
-The collection incorporates a
-<a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=q&ct=1&qt=1\">form-based search interface</a> that allows
-fielded searching. Two variants can be selected from the collection\'s
-<a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=p&p=preferences&ct=1&qt=1\">Preferences</a> page: an <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=q&ct=1&qt=1&qf=1\">\"advanced\" form
-search interface</a>, and a plain <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=q&ct=1&qt=0\">single-field search page</a>. These are all available to a collection when the default indexer, <i>mgpp</i>, is used. 
-
-<p>
 The <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>collection
 configuration file</a> begins with the specification <i>groupsize 200</i>.
@@ -309,5 +302,5 @@
 <p>
 The documents themselves (here is an
-<a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=HASH019158002a5f5d5ee754c0f4_135\">example</a>)
+<a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=HASH48345462199800bcaeae7es110\">example</a>)
 are generated by two format statements, one (a long one)
 called <i>DocumentHeading</i>, and another called <i>DocumentText</i>. The
@@ -326,5 +319,5 @@
 hyperlink is clicked, the <i>href</i> goes to the same URL but with
 <i>showrecord=1</i>, which generates a page like <a
-href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=HASH019158002a5f5d5ee754c0f4_135&showrecord=1\">this</a>.
+href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=HASH48345462199800bcaeae7es110&showrecord=1\">this</a>.
 The <i>If</i> test succeeds, which shows the <i>Text</i> of the document. With
 the BibTeX plugin, the text of a document is its unadulterated BibTeX record.\n
@@ -338,7 +331,4 @@
 
 <h3>Comment marche la collection?</h3>
-<p>
-Cette collection englobe une <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=q&ct=1&qt=1\">interface de recherche par formulaire</a> 
-qui permet une recherche par champ. _text1_
 
 <p>
@@ -418,5 +408,5 @@
 
 <p>
-Les documents eux-mÃªmes (voici un <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=HASH019158002a5f5d5ee754c0f4_135\">exemple</a>) sont produits par 
+Les documents eux-mÃªmes (voici un <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=HASH48345462199800bcaeae7es110\">exemple</a>) sont produits par 
 deux dÃ©clarations de format, une (longue celle-la) appelÃ©e <i>DocumentHeading</i>, et une autre appelÃ©e <i>DocumentText</i>. Le <i>Document Heading</i>, qui est reprÃ©sente les deux tiers supÃ©rieurs de la page contient le <i>Titre</i> du document suivi d'une table qui 
 donne tous les Ã©lÃ©ments de mÃ©ta-donnÃ©e que le plugin BibTex peut gÃ©nÃ©rer. 
@@ -428,5 +418,5 @@
 Cependant, quand le document est affichÃ© la premiÃšre fois, seul 
 le lien <i>ShowBibtexRecord</i> apparaÃ®t --- ceci correspond Ã  la derniÃšre partie (c'est la partie \"else\") de l'instruction <i>If</i> dans <i>DocumentText</i>. Quand le lien est cliquÃ©, <i>href</i> va vers la mÃªme URL mais avec <i>showrecord=1</i>, qui gÃ©nÃšre une page comme <a
-href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=HASH019158002a5f5d5ee754c0f4_135&showrecord=1\">celle-ci</a>. Le test <i>If</i> marche, ce qui affiche le <i>Text</i> du document. Avec le plugin BibTex, le texte d'un document est son enregistrement BibTEX pur.
+href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=HASH48345462199800bcaeae7es110&showrecord=1\">celle-ci</a>. Le test <i>If</i> marche, ce qui affiche le <i>Text</i> du document. Avec le plugin BibTex, le texte d'un document est son enregistrement BibTEX pur.
 "
 
@@ -438,8 +428,4 @@
 <h3>CÃ³mo trabaja esta colecciÃ³n</h3>
 <p>
-
-La colecciÃ³n incorpora una <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=q&ct=1&qt=1\">interfaz de bÃºsqueda basada en formas</a> que permite la bÃºsqueda por campos. _text1_
-<p>
-
 El <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n de la colecciÃ³n</a> empieza con la especificaciÃ³n <i>groupsize 200</i>. _text2_ Por lo general las colecciones bibliogrÃ¡ficas tienen muchos documentos pequeÃ±os y al agruparlos se evita que las estructuras de archivos internos de Greenstone se inflen demasiado y ocupen mÃ¡s espacio del necesario.
 <p>
@@ -480,10 +466,10 @@
 <p>
 
-Los documentos mismos (he aquÃ­ un <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=HASH019158002a5f5d5ee754c0f4_135\">ejemplo</a>) se generan por medio de dos enunciados de formato, uno llamado <i>DocumentHeading</i>, que es bastante largo, y otro llamado <i>DocumentText</i>. DocumentHeading ocupa los dos tercios superiores de la pÃ¡gina y contiene el <i>TÃ­tulo</i> del documento seguido por una tabla de todos los elementos del metadato que el plugin BibTeX puede generar. El papel de todos los enunciados <i>If</i> en el <a href=\"_httpcollection_/etc/collect.cfg\"
+Los documentos mismos (he aquÃ­ un <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=HASH48345462199800bcaeae7es110\">ejemplo</a>) se generan por medio de dos enunciados de formato, uno llamado <i>DocumentHeading</i>, que es bastante largo, y otro llamado <i>DocumentText</i>. DocumentHeading ocupa los dos tercios superiores de la pÃ¡gina y contiene el <i>TÃ­tulo</i> del documento seguido por una tabla de todos los elementos del metadato que el plugin BibTeX puede generar. El papel de todos los enunciados <i>If</i> en el <a href=\"_httpcollection_/etc/collect.cfg\"
 target=collect.cfg>archivo de configuraciÃ³n</a> es determinar los elementos que se definen. 
 <p>
 
 <i>DocumentText</i> muestra la versiÃ³n BibTeX de la referencia. Sin embargo, cuando el documento se despliega por primera vez Ãºnicamente aparece un hipervÃ­nculo llamado <i>Mostrar Registro BibTex</i>. Este corresponde a la Ãºltima parte (es decir, a la parte \"adicional\") del enunciado <i>If</i> en <i>DocumentText</i>. Cuando se hace click en este hipervÃ­nculo la <i>href</i> va al mismo URL pero con showrecord=1, que genera una pÃ¡gina como <a
-href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=HASH019158002a5f5d5ee754c0f4_135&showrecord=1\">Ã©sta</a>. A continuaciÃ³n sigue la prueba <i>If</i>, que muestra el <i>Texto</i> del documento. Con el plugin BibTeX el texto de un documento es su registro BibTeX no adulterado. 
+href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=HASH48345462199800bcaeae7es110&showrecord=1\">Ã©sta</a>. A continuaciÃ³n sigue la prueba <i>If</i>, que muestra el <i>Texto</i> del documento. Con el plugin BibTeX el texto de un documento es su registro BibTeX no adulterado. 
 "
 
@@ -498,8 +484,4 @@
 
 <h3>ÐÐ°Ðº ÑÐ°Ð±ÐŸÑÐ°ÐµÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ</h3>\n
-
-<p>
-
-ÐÐŸÐ»Ð»ÐµÐºÑÐžÑ Ð²ÐºÐ»ÑÑÐ°ÐµÑ <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=q&ct=1&qt=1\">ÐžÐœÑÐµÑÑÐµÐ¹Ñ Ð¿ÐŸÐžÑÐºÐ° ÐœÐ° ÑÐ°Ð±Ð»ÐžÑÐœÐŸÐ¹ ÐŸÑÐœÐŸÐ²Ðµ</a>, ÐºÐŸÑÐŸÑÑÐ¹ Ð¿ÐŸÐ·Ð²ÐŸÐ»ÑÐµÑ ÐŸÑÑÑÐµÑÑÐ²Ð»ÑÑÑ Ð¿ÐŸÐžÑÐº Ð¿ÐŸ Ð¿ÐŸÐ»ÑÐŒ. _text1_
 
 <p>
@@ -582,5 +564,5 @@
 <p>
 
-Ð¡Ð°ÐŒÐž Ð¶Ðµ ÐÐŸÐºÑÐŒÐµÐœÑÑ (Ð·ÐŽÐµÑÑ ÐžÐŒÐµÐµÑÑÑ <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=HASH019158002a5f5d5ee754c0f4_135\">Ð¿ÑÐžÐŒÐµÑ</a>), Ð³ÐµÐœÐµÑÐžÑÑÑÑÑÑ ÐŽÐ²ÑÐŒÑ ÐŸÐ¿ÐµÑÐ°ÑÐŸÑÐ°ÐŒÐž ÑÐŸÑÐŒÐ°ÑÐ°, ÐŸÐŽÐžÐœ ÐžÐ· ÐºÐŸÑÐŸÑÑÑ
+Ð¡Ð°ÐŒÐž Ð¶Ðµ ÐÐŸÐºÑÐŒÐµÐœÑÑ (Ð·ÐŽÐµÑÑ ÐžÐŒÐµÐµÑÑÑ <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=HASH48345462199800bcaeae7es110\">Ð¿ÑÐžÐŒÐµÑ</a>), Ð³ÐµÐœÐµÑÐžÑÑÑÑÑÑ ÐŽÐ²ÑÐŒÑ ÐŸÐ¿ÐµÑÐ°ÑÐŸÑÐ°ÐŒÐž ÑÐŸÑÐŒÐ°ÑÐ°, ÐŸÐŽÐžÐœ ÐžÐ· ÐºÐŸÑÐŸÑÑÑ
  (ÐŽÐ»ÐžÐœÐœÑÐ¹) ÐœÐ°Ð·Ð²Ð°Ðœ <i>DocumentHeading</i>, Ð° ÐŽÑÑÐ³ÐŸÐ¹ - <i>DocumentText</i>. <i>DocumentHeading</i>, ÐºÐŸÑÐŸÑÑÐ¹ ÑÐŸÑÑÐ°Ð²Ð»ÑÐµÑ Ð²ÐµÑÑ
 ÐœÐžÐµ ÐŽÐ²Ðµ ÑÑÐµÑÐž ÑÑÑÐ°ÐœÐžÑÑ, ÑÐŸÐŽÐµÑÐ¶ÐžÑ <i>ÐÐ°Ð·Ð²Ð°ÐœÐžÐµ</i> ÐŽÐŸÐºÑÐŒÐµÐœÑÐ°, ÑÐŸÐ¿ÑÐŸÐ²ÐŸÐ¶ÐŽÐ°ÐµÐŒÐŸÐµ ÑÐ°Ð±Ð»ÐžÑÐµÐ¹, ÐºÐŸÑÐŸÑÐ°Ñ ÑÐŸÐŽÐµÑÐ¶ÐžÑ Ð²ÑÐµ ÑÐ»ÐµÐŒÐµÐœÑÑ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ