Index: /collections/documented-examples/trunk/pagedimg-e/etc/collect.cfg
===================================================================
--- /collections/documented-examples/trunk/pagedimg-e/etc/collect.cfg	(revision 19167)
+++ /collections/documented-examples/trunk/pagedimg-e/etc/collect.cfg	(revision 19168)
@@ -8,5 +8,6 @@
 plugin		GreenstoneXMLPlugin
 # We want the two types of paged documents to be treated differently: paged 
-# and hierarchical. So include two PagedImgPlug plugins and modify the process_exp.
+# and hierarchical. So include two PagedImagePlugin plugins and modify the 
+# process_exp.
 plugin		PagedImagePlugin -create_screenview true -minimumsize 100 -documenttype hierarchy -process_exp xml.*\.item$
 plugin		PagedImagePlugin -create_screenview true -minimumsize 100 -documenttype paged 
@@ -37,5 +38,6 @@
 format AllowExtendedOptions  true
 
-# We want to add in fullsize/preview/text buttons to switch between the different versions of each page
+# We want to add in fullsize/preview/text buttons to switch between the
+# different versions of each page
 
 format DocumentHeading "<center><table width=_pagewidth_>
@@ -44,7 +46,7 @@
 [DocumentButtonDetach][DocumentButtonHighlight]
 {If}{_cgiargp_ eq 'fullsize',{If}{[screenicon],_document:viewpreview_}
-{If}{[Text] ne \'This document has no text. \',_document:viewtext_},
+{If}{[NoText] eq \'1\',,_document:viewtext_},
 {If}{_cgiargp_ eq 'preview',{If}{[srcicon],_document:viewfullsize_}
-{If}{[Text] ne \'This document has no text. \',_document:viewtext_},
+{If}{[NoText] eq \'1\',,_document:viewtext_},
 {If}{[srcicon],_document:viewfullsize_}
 {If}{[screenicon],_document:viewpreview_}}}
@@ -56,6 +58,6 @@
 #fullsize/preview/text versions.
 format DocumentText "<center><table width=_pagewidth_><tr><td>
-{If}{_cgiargp_ eq 'fullsize',[srcicon],
-{If}{_cgiargp_ eq 'preview',[screenicon],{If}{[Text] ne \'This document has no text. \',[Text]}}}
+{If}{_cgiargp_ eq \'fullsize\',[srcicon],
+{If}{_cgiargp_ eq \'preview\',[screenicon],{If}{[NoText] eq \'1\',,[Text]}}}
 </td></tr></table></center>"
 
@@ -74,5 +76,5 @@
 <p>Each newspaper issue consists of a set of images, one per page, and a set 
 of text files for the OCR'd text. An item file links the set of pages into a 
-single newspaper document. PagedImgPlug is used to process the item files. 
+single newspaper document. PagedImagePlugin is used to process the item files. 
 <p>There are two styles of item files, and this collection demonstrates both. 
 The first uses a text based format, and consists of a list of metadata for the 
@@ -91,5 +93,5 @@
 or with next and previous page arrows, and a goto page box 
 (e.g. <a href='?a=d&amp;c=pagedimg&amp;d=HASH01f4f2a92e501cdfa5d243bb.2&p=preview'>this one</a>). 
-This is specified by the <tt>-documenttype (hierarchy|paged)</tt> option to PagedImgPlug. 
+This is specified by the <tt>-documenttype (hierarchy|paged)</tt> option to PagedImagePlugin. 
 The next and previous arrows suit the linear sequence documents, while the table of contents 
 suits the hierarchically organised document. Ordinarily, a Greenstone collection
@@ -97,18 +99,16 @@
 the same processing. In this case, we want to treat the XML-based item files 
 differently from the text-based item files. We can achieve this by adding two 
-PagedImgPlug plugins to the collection, and configuring them differently. 
-<p><tt>plugin PagedImgPlug -screenview -minimumsize 100 -documenttype hierarchy -process_exp xml.*\.item$<br/>
-plugin	PagedImgPlug -screenview -minimumsize 100 -documenttype paged </tt>
+PagedImagePlugin plugins to the collection, and configuring them differently. 
+<p><tt>plugin PagedImagePlugin -screenview -minimumsize 100 -documenttype hierarchy -process_exp xml.*\.item$<br/>
+plugin	PagedImagePlugin -screenview -minimumsize 100 -documenttype paged </tt>
 
 <p>XML based newpapers have been grouped into a folder called <tt>xml</tt>. 
 This enables us to process these files differently, by utilising the 
-<tt>process_exp</tt> option which all plugins support. The first PagedImgPlug 
+<tt>process_exp</tt> option which all plugins support. The first PagedImagePlugin 
 in the list looks for item files underneath the xml folder. These documents 
 will be processed as hierarchical documents. Item files that don't match the 
 process expression (i.e. aren't underneath the xml folder) will be passed onto 
-the second PagedImgPlug, and these are treated as paged documents.
-<p>Note that GLI will not let you add two of the same plugin (apart from 
-UnknownPlug), so this must be added to the collect.cfg file manually. The 
-collection must not be open in GLI while you are doing this. 
+the second PagedImagePlugin, and these are treated as paged documents.
+
 <p><b>Formatting</b>
 <p>We have modified the document formatting to display fullsized images, 