Index: /gli/trunk/src/org/greenstone/gatherer/remote/RemoteGreenstoneServer.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/remote/RemoteGreenstoneServer.java	(revision 19172)
+++ /gli/trunk/src/org/greenstone/gatherer/remote/RemoteGreenstoneServer.java	(revision 19173)
@@ -62,4 +62,9 @@
     // static private PasswordAuthentication remote_greenstone_server_authentication = new PasswordAuthentication(System.getProperty("user.name"), new char[] { });
 
+    // the language and region environment variables (in "lang_REGION" form)
+    // this is necessary in order for the client and server sides to zip and unzip
+    // using the same settings
+    public final String lang_region;
+
     private ActionQueue remote_greenstone_server_action_queue;
     private RemoteGreenstoneServer.ProgressBar progress_bar;
@@ -70,4 +75,7 @@
 	progress_bar = new RemoteGreenstoneServer.ProgressBar();
 	remote_greenstone_server_action_queue = new ActionQueue();
+
+	String langReg = System.getenv("LANG");
+	lang_region = (langReg == null) ? "" : langReg;	
     }
 
@@ -481,5 +489,10 @@
 	    String gliserver_url_string = Configuration.gliserver_url.toString();
 	    String command_output = sendCommandToServerInternal(gliserver_url_string, gliserver_args, shell);
-	    
+	    	    
+	    // Debugging - print any ok messages to stderr
+	    //if(!(command_output.trim().startsWith("<"))) {
+	    //System.err.println("**** RECEIVED (sendCommandToServer()): " + command_output);
+	    //}
+		
 	    // Check the first line to see if authentication has failed; if so, go around the loop again
 	    if (command_output.startsWith("ERROR: Authentication failed:")) {
Index: /gli/trunk/src/org/greenstone/gatherer/remote/RemoteGreenstoneServerAction.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/remote/RemoteGreenstoneServerAction.java	(revision 19172)
+++ /gli/trunk/src/org/greenstone/gatherer/remote/RemoteGreenstoneServerAction.java	(revision 19173)
@@ -179,4 +179,5 @@
 	    String download_collection_command = "cmd=download-collection";
 	    download_collection_command += "&c=" + URLEncoder.encode(collection_name, "UTF-8");
+	    download_collection_command += "&lr=" + remote.lang_region;
 	    String zip_file_path = Gatherer.getCollectDirectoryPath() + collection_name + ".zip";
 	    action_output = remote.downloadFile(download_collection_command, zip_file_path);
@@ -213,4 +214,5 @@
 	    String download_collection_archives_command = "cmd=download-collection-archives";
 	    download_collection_archives_command += "&c=" + URLEncoder.encode(collection_name, "UTF-8");
+	    download_collection_archives_command += "&lr=" + remote.lang_region;
 	    String zip_file_path = Gatherer.getCollectDirectoryPath() + collection_name + "-archives.zip";
 	    action_output = remote.downloadFile(download_collection_archives_command, zip_file_path);
@@ -247,4 +249,5 @@
 
 	    String download_collection_configurations_command = "cmd=download-collection-configurations";
+	    download_collection_configurations_command += "&lr=" + remote.lang_region;
 	    String zip_file_path = Gatherer.getCollectDirectoryPath() + "collections.zip";
 	    action_output = remote.downloadFile(download_collection_configurations_command, zip_file_path);
@@ -346,4 +349,5 @@
 	    download_collection_file_command += "&c=" + URLEncoder.encode(collection_name, "UTF-8");
 	    download_collection_file_command += "&file=" + URLEncoder.encode(collection_file_relative_path, "UTF-8");
+	    download_collection_file_command += "&lr=" + remote.lang_region;
 	    String zip_file_name = collection_name + "-" + collection_file.getName() + ".zip";
 	    String zip_file_path = collection_directory_path + zip_file_name;
@@ -372,4 +376,5 @@
 	    String download_web_xml_file_command = "cmd=download-web-xml-file";
 	    download_web_xml_file_command += "&file=" + URLEncoder.encode("web.xml", "UTF-8");
+	    download_web_xml_file_command += "&lr=" + remote.lang_region;
 	    String zip_file_name = "web-xml.zip";
 	    String zip_file_path = web_xml_directory_path + zip_file_name;
@@ -585,4 +590,5 @@
 	    upload_collection_file_command += "&directory=";
 	    upload_collection_file_command += "&zip=true";
+	    upload_collection_file_command += "&lr=" + remote.lang_region;
 	    action_output = remote.uploadFile(upload_collection_file_command, zip_file_path);
 	}
@@ -639,4 +645,5 @@
 	    upload_collection_file_command += "&directory=" + URLEncoder.encode(target_collection_directory_relative_path, "UTF-8");
 	    upload_collection_file_command += "&zip=true";
+	    upload_collection_file_command += "&lr=" + remote.lang_region;
 	    action_output = remote.uploadFile(upload_collection_file_command, zip_file_path);
 	}