Index: collections/documented-examples/trunk/bibtex-e/etc/collect.cfg
===================================================================
--- collections/documented-examples/trunk/bibtex-e/etc/collect.cfg	(revision 19169)
+++ collections/documented-examples/trunk/bibtex-e/etc/collect.cfg	(revision 19179)
@@ -9,5 +9,5 @@
 indexes		text metadata
 
-plugin		BibTexPlugin
+plugin		BibTexPlugin -OIDtype assigned -OIDmetadata Number
 plugin		GreenstoneXMLPlugin
 plugin		MetadataXMLPlugin
@@ -71,4 +71,6 @@
 format DocumentContents false
 
+collectionmeta	sampleoid "13/2004"
+
 collectionmeta	collectionname [l=en] "Bibliography collection"
 collectionmeta	.text [l=en] "full records"
@@ -209,8 +211,11 @@
 
 <p>
-Apart from the standard ones, the plugins specified for this collection are
-<i>ZIPPlugin</i>, which unzips compressed documents and archives, and
-<i>BibTexPlugin</i>, which processes references in the BibTeX format (well 
-known to computer scientists).\n
+Apart from the standard plugins, this collection uses <i>BibTexPlugin</i>, 
+which processes references in the BibTeX format (well known to computer 
+scientists). Two options have been set for BibTexPlugin: 
+<i>-OIDtype assigned -OIDmetadata Number</i>. This means the metadata 
+element \"Number\" will be used as the record identifier, instead of 
+Greenstone's default hash identifiers. These options are available for 
+all plugins.\n
 
 <p>
@@ -302,5 +307,5 @@
 <p>
 The documents themselves (here is an
-<a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=HASH48345462199800bcaeae7es110\">example</a>)
+<a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=_sampleoid_\">example</a>)
 are generated by two format statements, one (a long one)
 called <i>DocumentHeading</i>, and another called <i>DocumentText</i>. The
@@ -319,5 +324,5 @@
 hyperlink is clicked, the <i>href</i> goes to the same URL but with
 <i>showrecord=1</i>, which generates a page like <a
-href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=HASH48345462199800bcaeae7es110&showrecord=1\">this</a>.
+href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=_sampleoid_&showrecord=1\">this</a>.
 The <i>If</i> test succeeds, which shows the <i>Text</i> of the document. With
 the BibTeX plugin, the text of a document is its unadulterated BibTeX record.\n
@@ -339,7 +344,5 @@
 
 <p>
-A part les Plugins standards, les modules qui sont spÃ©cifiÃ©s pour 
-cette collection sont <i>Zipplug</i> qui ouvre les archives et les documents compressÃ©s, et <i>Bibtext plug</i> qui traite les rÃ©fÃ©rences dans le 
-format BibText (bien connu des informaticiens).
+_text1_
 
 <p>
@@ -408,5 +411,5 @@
 
 <p>
-Les documents eux-mÃªmes (voici un <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=HASH48345462199800bcaeae7es110\">exemple</a>) sont produits par 
+Les documents eux-mÃªmes (voici un <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=_sampleoid_\">exemple</a>) sont produits par 
 deux dÃ©clarations de format, une (longue celle-la) appelÃ©e <i>DocumentHeading</i>, et une autre appelÃ©e <i>DocumentText</i>. Le <i>Document Heading</i>, qui est reprÃ©sente les deux tiers supÃ©rieurs de la page contient le <i>Titre</i> du document suivi d'une table qui 
 donne tous les Ã©lÃ©ments de mÃ©ta-donnÃ©e que le plugin BibTex peut gÃ©nÃ©rer. 
@@ -418,5 +421,5 @@
 Cependant, quand le document est affichÃ© la premiÃšre fois, seul 
 le lien <i>ShowBibtexRecord</i> apparaÃ®t --- ceci correspond Ã  la derniÃšre partie (c'est la partie \"else\") de l'instruction <i>If</i> dans <i>DocumentText</i>. Quand le lien est cliquÃ©, <i>href</i> va vers la mÃªme URL mais avec <i>showrecord=1</i>, qui gÃ©nÃšre une page comme <a
-href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=HASH48345462199800bcaeae7es110&showrecord=1\">celle-ci</a>. Le test <i>If</i> marche, ce qui affiche le <i>Text</i> du document. Avec le plugin BibTex, le texte d'un document est son enregistrement BibTEX pur.
+href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=_sampleoid_&showrecord=1\">celle-ci</a>. Le test <i>If</i> marche, ce qui affiche le <i>Text</i> du document. Avec le plugin BibTex, le texte d'un document est son enregistrement BibTEX pur.
 "
 
@@ -431,5 +434,5 @@
 <p>
 
-Aparte de los plugins estÃ¡ndar esta colecciÃ³n cuenta con <i>ZIPPlugin</i>, que descomprime los documentos y archivos comprimidos, y <i>BibTexPlugin</i>, que procesa las referencias en el formato BibTeX (bastante conocido por los especialistas en informÃ¡tica).
+_text1_
 <p>
 
@@ -466,10 +469,10 @@
 <p>
 
-Los documentos mismos (he aquÃ­ un <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=HASH48345462199800bcaeae7es110\">ejemplo</a>) se generan por medio de dos enunciados de formato, uno llamado <i>DocumentHeading</i>, que es bastante largo, y otro llamado <i>DocumentText</i>. DocumentHeading ocupa los dos tercios superiores de la pÃ¡gina y contiene el <i>TÃ­tulo</i> del documento seguido por una tabla de todos los elementos del metadato que el plugin BibTeX puede generar. El papel de todos los enunciados <i>If</i> en el <a href=\"_httpcollection_/etc/collect.cfg\"
+Los documentos mismos (he aquÃ­ un <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=_sampleoid_\">ejemplo</a>) se generan por medio de dos enunciados de formato, uno llamado <i>DocumentHeading</i>, que es bastante largo, y otro llamado <i>DocumentText</i>. DocumentHeading ocupa los dos tercios superiores de la pÃ¡gina y contiene el <i>TÃ­tulo</i> del documento seguido por una tabla de todos los elementos del metadato que el plugin BibTeX puede generar. El papel de todos los enunciados <i>If</i> en el <a href=\"_httpcollection_/etc/collect.cfg\"
 target=collect.cfg>archivo de configuraciÃ³n</a> es determinar los elementos que se definen. 
 <p>
 
 <i>DocumentText</i> muestra la versiÃ³n BibTeX de la referencia. Sin embargo, cuando el documento se despliega por primera vez Ãºnicamente aparece un hipervÃ­nculo llamado <i>Mostrar Registro BibTex</i>. Este corresponde a la Ãºltima parte (es decir, a la parte \"adicional\") del enunciado <i>If</i> en <i>DocumentText</i>. Cuando se hace click en este hipervÃ­nculo la <i>href</i> va al mismo URL pero con showrecord=1, que genera una pÃ¡gina como <a
-href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=HASH48345462199800bcaeae7es110&showrecord=1\">Ã©sta</a>. A continuaciÃ³n sigue la prueba <i>If</i>, que muestra el <i>Texto</i> del documento. Con el plugin BibTeX el texto de un documento es su registro BibTeX no adulterado. 
+href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=_sampleoid_&showrecord=1\">Ã©sta</a>. A continuaciÃ³n sigue la prueba <i>If</i>, que muestra el <i>Texto</i> del documento. Con el plugin BibTeX el texto de un documento es su registro BibTeX no adulterado. 
 "
 
@@ -494,9 +497,5 @@
 <p>
 
-Ð ÐŸÑÐ»ÐžÑÐžÐµ ÐŸÑ ÑÑÐ°ÐœÐŽÐ°ÑÑÐœÑÑ
-, ÑÐ¿ÐµÑÐžÑÐžÑÐœÑÐŒÐž Ð¿Ð»Ð°Ð³ÐžÐœÐ°ÐŒÐž ÐŽÐ»Ñ ÑÑÐŸÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž ÑÐ²Ð»ÑÑÑÑÑ -- <i>ZIPPlugin</i>, ÐºÐŸÑÐŸÑÑÐ¹ ÑÐ°ÑÐ¿Ð°ÐºÐŸÐ²ÑÐ²Ð°ÑÑ ÑÐ¶Ð°ÑÑÐµ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ Ðž Ð°ÑÑ
-ÐžÐ²Ñ, Ðž <i>BibTexPlugin</i>, ÐºÐŸÑÐŸÑÑÐ¹ ÐŸÐ±ÑÐ°Ð±Ð°ÑÑÐ²Ð°ÐµÑ ÑÑÑÐ»ÐºÐž Ð² ÑÐŸÑÐŒÐ°ÑÐµ BibTex, Ñ
-ÐŸÑÐŸÑÐŸ ÐžÐ·Ð²ÐµÑÑÐœÐŸÐŒ  ÐŽÐ»Ñ ÑÑÐµÐœÑÑ
-.
+_text1_
 
 <p>
@@ -510,6 +509,5 @@
 
 
-** delete??Ð ÑÑÐŸÐŒ ÑÐ»ÑÑÐ°Ðµ ÑÑÑÐŸÐºÐ° <i>ÐžÐœÐŽÐµÐºÑÐŸÐ²</i> ÐŸÐ¿ÑÐµÐŽÐµÐ»ÑÐµÑ ÐŽÐŸÑÑÑÐ¿ÐœÑÐµ ÐŽÐ»Ñ Ð¿ÐŸÐžÑÐºÐ° ÐžÐœÐŽÐµÐºÑÑ Ð²ÐŸ Ð²ÑÑÐŒ ÑÐµÐºÑÑÐµ Ðž Ð² ÐºÐ°Ð¶ÐŽÐŸÐŒ Ð¿ÐŸÐ»Ðµ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
-.** Ð¢Ð°ÐºÐžÐŒ ÐŸÐ±ÑÐ°Ð·ÐŸÐŒ, ÐºÐŸÐ³ÐŽÐ° ÐœÐ° Ð¿ÐŸÐžÑÐºÐŸÐ²ÐŸÐ¹ ÑÑÑÐ°ÐœÐžÑÐµ Ð¿ÐŸÑÐ²Ð»ÑÐµÑÑÑ ÑÐ¿ÑÑÐºÐ°ÑÑÐµÐµÑÑ ÐŒÐµÐœÑ \"Ð¿ÐŸÐ»Ðµ\", Ð² ÐœÑÐŒ Ð¿ÐŸÐºÐ°Ð·Ð°Ðœ Ð¿ÐŸÐ»ÐœÑÐ¹ ÑÐ¿ÐžÑÐŸÐº, ÑÐŸÐ¿ÑÐŸÐ²ÐŸÐ¶ÐŽÐ°ÑÑÐžÐ¹ Ð¿ÑÐž                      
+Ð¢Ð°ÐºÐžÐŒ ÐŸÐ±ÑÐ°Ð·ÐŸÐŒ, ÐºÐŸÐ³ÐŽÐ° ÐœÐ° Ð¿ÐŸÐžÑÐºÐŸÐ²ÐŸÐ¹ ÑÑÑÐ°ÐœÐžÑÐµ Ð¿ÐŸÑÐ²Ð»ÑÐµÑÑÑ ÑÐ¿ÑÑÐºÐ°ÑÑÐµÐµÑÑ ÐŒÐµÐœÑ \"Ð¿ÐŸÐ»Ðµ\", Ð² ÐœÑÐŒ Ð¿ÐŸÐºÐ°Ð·Ð°Ðœ Ð¿ÐŸÐ»ÐœÑÐ¹ ÑÐ¿ÐžÑÐŸÐº, ÑÐŸÐ¿ÑÐŸÐ²ÐŸÐ¶ÐŽÐ°ÑÑÐžÐ¹ Ð¿ÑÐž                      
 Ð²Ñ
 ÐŸÐŽÐµ ÐŽÐ»Ñ ÐºÐ°Ð¶ÐŽÐŸÐ³ÐŸ ÑÐ»ÐµÐŒÐµÐœÑÐ° ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
@@ -564,5 +562,5 @@
 <p>
 
-Ð¡Ð°ÐŒÐž Ð¶Ðµ ÐÐŸÐºÑÐŒÐµÐœÑÑ (Ð·ÐŽÐµÑÑ ÐžÐŒÐµÐµÑÑÑ <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=HASH48345462199800bcaeae7es110\">Ð¿ÑÐžÐŒÐµÑ</a>), Ð³ÐµÐœÐµÑÐžÑÑÑÑÑÑ ÐŽÐ²ÑÐŒÑ ÐŸÐ¿ÐµÑÐ°ÑÐŸÑÐ°ÐŒÐž ÑÐŸÑÐŒÐ°ÑÐ°, ÐŸÐŽÐžÐœ ÐžÐ· ÐºÐŸÑÐŸÑÑÑ
+Ð¡Ð°ÐŒÐž Ð¶Ðµ ÐÐŸÐºÑÐŒÐµÐœÑÑ (Ð·ÐŽÐµÑÑ ÐžÐŒÐµÐµÑÑÑ <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=CL1.12&d=_sampleoid_\">Ð¿ÑÐžÐŒÐµÑ</a>), Ð³ÐµÐœÐµÑÐžÑÑÑÑÑÑ ÐŽÐ²ÑÐŒÑ ÐŸÐ¿ÐµÑÐ°ÑÐŸÑÐ°ÐŒÐž ÑÐŸÑÐŒÐ°ÑÐ°, ÐŸÐŽÐžÐœ ÐžÐ· ÐºÐŸÑÐŸÑÑÑ
  (ÐŽÐ»ÐžÐœÐœÑÐ¹) ÐœÐ°Ð·Ð²Ð°Ðœ <i>DocumentHeading</i>, Ð° ÐŽÑÑÐ³ÐŸÐ¹ - <i>DocumentText</i>. <i>DocumentHeading</i>, ÐºÐŸÑÐŸÑÑÐ¹ ÑÐŸÑÑÐ°Ð²Ð»ÑÐµÑ Ð²ÐµÑÑ
 ÐœÐžÐµ ÐŽÐ²Ðµ ÑÑÐµÑÐž ÑÑÑÐ°ÐœÐžÑÑ, ÑÐŸÐŽÐµÑÐ¶ÐžÑ <i>ÐÐ°Ð·Ð²Ð°ÐœÐžÐµ</i> ÐŽÐŸÐºÑÐŒÐµÐœÑÐ°, ÑÐŸÐ¿ÑÐŸÐ²ÐŸÐ¶ÐŽÐ°ÐµÐŒÐŸÐµ ÑÐ°Ð±Ð»ÐžÑÐµÐ¹, ÐºÐŸÑÐŸÑÐ°Ñ ÑÐŸÐŽÐµÑÐ¶ÐžÑ Ð²ÑÐµ ÑÐ»ÐµÐŒÐµÐœÑÑ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ