Index: collections/documented-examples/trunk/wrdpdf-e/etc/collect.cfg
===================================================================
--- collections/documented-examples/trunk/wrdpdf-e/etc/collect.cfg	(revision 19182)
+++ collections/documented-examples/trunk/wrdpdf-e/etc/collect.cfg	(revision 19183)
@@ -56,6 +56,6 @@
 This collection\'s <a href=\"_httpcollection_/etc/collect.cfg\"
 target=collect.cfg>configuration file</a> contains the four plugins
-<i>WordPlug</i>, <i>RTFPlug</i>, <i>PDFPlug</i> and <i>PSPlug</i> (along with
-the standard three, <i>GAPlug</i>, <i>ArcPlug</i> and <i>RecPlug</i>). These
+<i>WordPlugin</i>, <i>RTFPlugin</i>, <i>PDFPlugin</i> and <i>PostScriptPlugin</i> (along with
+the standard four, <i>GreenstoneXMLPlugin</i>, <i>MetadataXMLPlugin</i>, <i>ArchivesInfPlugin</i> and <i>DirectoryPlugin</i>). These
 four plugins all extract <i>Title</i> and <i>Source</i> (i.e. filename)
 metadata. \n
@@ -64,12 +64,15 @@
 Greenstone contains third-party software that is used to convert
 Word, RTF, PDF and PostScript files into HTML.  The Greenstone team does not
-maintain these modules, although we do include the latest versions with each
+maintain these modules, although we do try to include the latest versions 
+with each
 Greenstone release. Bugs arise with unusual Word documents (e.g. from older
 Macintosh systems), and sometimes the text is badly extracted. Some PDF files
 have no machine-readable text at all, comprising instead a sequence of page
 <i>images</i> from which text can only be extracted by optical character recognition
-(OCR), which Greenstone does not attempt. If you encounter these problems,
-there is nothing much you (or we) can do other than omit the rogue documents
-from the collection, or try to obtain different versions of them.\n
+(OCR), which Greenstone does not attempt. If you encounter these problems, you
+can either remove the offending documents from your collection, or try using
+some of the advanced plugin options to process the documents in different ways.
+For more information, see the Enhanced PDf and Word tutorials on the  
+<a href=\'http://wiki.greenstone.org/wiki/index.php/Tutorial_exercises\'>Greenstone wiki</a>.
 
 <p>
@@ -77,5 +80,5 @@
 file</a> includes a single index, based on document text, and one classifier,
 an <i>AZList</i> based on <i>Title</i> metadata, shown 
-<a href=\"_gwcgi_?l=_cgiargl_&c=wrdpdf-e&a=d&cl=CL1\">here</a> (the alphabetic
+<a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL1\">here</a> (the alphabetic
 selector is suppressed automatically because the collection contains only a few
 documents). However, no format statement is specified. In the absence of
@@ -120,6 +123,6 @@
 <p>
 Le <a href=\"_httpcollection_/etc/collect.cfg\"
-target=collect.cfg>fichier de configuration</a> de cette collection contient quatre plugins, <i>WordPlug</i>, <i>RTFPlug</i>,
- <i>PDFPlug</i> et <i>PSPlug</i> (ensemble avec les trois plugins standards <i>GAPlug</i>, <i>ArcPlug</i> et <i>RecPlug</i>). 
+target=collect.cfg>fichier de configuration</a> de cette collection contient quatre plugins, <i>WordPlugin</i>, <i>RTFPlugin</i>,
+ <i>PDFPlugin</i> et <i>PostScriptPlugin</i> (ensemble avec les quatre plugins standards <i>GreenstoneXMLPlugin</i>, <i>MetadataXMLPlugin</i>, <i>ArchivesInfPlugin</i> et <i>DirectoryPlugin</i>). 
  Tous ces quatre modules extraient les mÃ©ta-donnÃ©es <i>Titre</i> et <i>Source</i> (c.-a-d. nom de fichier).
 
@@ -127,9 +130,9 @@
 Greenstone contient des logiciels de tierces parties utilisÃ©s pour convertir des fichiers Word, RTF, PDF et PostScript en HTML. L'Ã©quipe Greenstone ne maintient pas ces modules bien que nous incluons les derniÃšres versions dans chaque Ã©dition de Greenstone. Des coquilles apparaissent avec les documents 
 inhabituels de Word (par exemple Ã  partir de vieux systÃšmes Macintosh) et des fois, le texte est mal extrait. Certains fichiers PDF n'ont pas du tout une forme lisible directement par les machines, mais sont reprÃ©sentÃ©s par une sÃ©quence de pages d'<i>images</i> Ã  partir desquelless le texte ne peut Ãªtre extrait que par une reconnaissance optique de caractÃšres (ROC), ce que 
-Greenstone ne tente pas de faire. Si vous rencontrez ces problÃšmes, il n'y a grand chose que vous/nous pouvez/pouvons faire Ã  part omettre ces documents de la collection, et essayer d'en obtenir des versions diffÃ©rentes.
+Greenstone ne tente pas de faire. _text1_
 
 <p>
 Le <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>fichier de configuration</a> comprend un index unique, basÃ© sur un texte de document 
-et un classificateur, un <i>AZList</i> basÃ©e sur la mÃ©ta-donnÃ©e <i>Titre</i>, montrÃ©e <a href=\"_gwcgi_?l=_cgiargl_&c=wrdpdf-e&a=d&cl=CL1\">ici</a> (le sÃ©lecteur 
+et un classificateur, un <i>AZList</i> basÃ©e sur la mÃ©ta-donnÃ©e <i>Titre</i>, montrÃ©e <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL1\">ici</a> (le sÃ©lecteur 
 alphabÃ©tique est supprimÃ© automatiquement parce que la collection ne contient que peu de documents). Cependant aucune dÃ©claration de format n'est spÃ©cifiÃ©e. A l'absence d'information explicite, Greenstone fournit des dÃ©fauts sensÃ©s. Dans ce cas le format par dÃ©faut pour le classificateur donne ceci :
 <ul>
@@ -164,11 +167,11 @@
 <h3>CÃ³mo trabaja esta colecciÃ³n</h3>
 
-Este <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n de la colecciÃ³n</a> contiene los cuatro plugins <i>WordPlug, RTFPlug, PDFPlug</i> y <i>PSPlug</i> (junto con los tres plugins estÃ¡ndar, <i>GAPlug, ArcPlug</i> y <i>RecPlug</i>). Los cuatro plugins extraen los metadatos de <i>TÃ­tulo</i> y <i>Fuente</i> (es decir, nombre del archivo).
-<p>
-
-Greenstone contiene un software de otro fabricante que se utiliza para convertir archivos Word, RTF, PDF y PostScript a HTML. El equipo de Greenstone no le da mantenimiento a estos mÃ³dulos, aunque incluimos las mÃ¡s recientes versiones con cada nueva versiÃ³n de Greenstone. Los errores lÃ³gicos surgen con documentos Word inusuales (p. ej. provenientes de sistemas Macintosh anteriores) y en ocasiones el texto no se extrae adecuadamente. Algunos archivos PDF no contienen textos legibles de ninguna manera, consistiendo en su lugar de una secuencia de <i>imÃ¡genes</i> de pÃ¡gina de las cuales el texto Ãºnicamente se puede extraer por medio del reconocimiento Ã³ptico de caracteres (OCR por sus siglas en inglÃ©s), que es algo que Greenstone no pretende hacer. Si usted encuentra este tipo de problemas, entonces no hay mucho que usted o nosotros podamos hacer, excepto excluir dichos documentos de la colecciÃ³n o tratar de obtener diferentes versiones de los mismos. 
-<p>
-
-El <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n</a> incluye un solo Ã­ndice basado en el texto de los documentos y un clasificador <i>AZList</i> basado en el metadato de <i>TÃ­tulo</i>, tal como se muestra <a href=\"_gwcgi_?l=_cgiargl_&c=wrdpdf-e&a=d&cl=CL1\">aquÃ­</a> (el selector alfabÃ©tico se suprime automÃ¡ticamente ya que la colecciÃ³n contiene Ãºnicamente unos cuantos documentos). Sin embargo, no se especifica ningÃºn enunciado de formato. En ausencia de informaciÃ³n explÃ­cita, Greenstone suministra los formatos por omisiÃ³n. En este caso, el formato por omisiÃ³n para el clasificador proporciona:
+Este <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n de la colecciÃ³n</a> contiene los cuatro plugins <i>WordPlugin, RTFPlugin, PDFPlugin</i> y <i>PostScriptPlugin</i> (junto con los cuatro plugins estÃ¡ndar, <i>GreenstoneXMLPlugin, MetadataXMLPlugin, ArchivesInfPlugin</i> y <i>DirectoryPlugin</i>). Los cuatro plugins extraen los metadatos de <i>TÃ­tulo</i> y <i>Fuente</i> (es decir, nombre del archivo).
+<p>
+
+Greenstone contiene un software de otro fabricante que se utiliza para convertir archivos Word, RTF, PDF y PostScript a HTML. El equipo de Greenstone no le da mantenimiento a estos mÃ³dulos, aunque incluimos las mÃ¡s recientes versiones con cada nueva versiÃ³n de Greenstone. Los errores lÃ³gicos surgen con documentos Word inusuales (p. ej. provenientes de sistemas Macintosh anteriores) y en ocasiones el texto no se extrae adecuadamente. Algunos archivos PDF no contienen textos legibles de ninguna manera, consistiendo en su lugar de una secuencia de <i>imÃ¡genes</i> de pÃ¡gina de las cuales el texto Ãºnicamente se puede extraer por medio del reconocimiento Ã³ptico de caracteres (OCR por sus siglas en inglÃ©s), que es algo que Greenstone no pretende hacer. _text1_ 
+<p>
+
+El <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n</a> incluye un solo Ã­ndice basado en el texto de los documentos y un clasificador <i>AZList</i> basado en el metadato de <i>TÃ­tulo</i>, tal como se muestra <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL1\">aquÃ­</a> (el selector alfabÃ©tico se suprime automÃ¡ticamente ya que la colecciÃ³n contiene Ãºnicamente unos cuantos documentos). Sin embargo, no se especifica ningÃºn enunciado de formato. En ausencia de informaciÃ³n explÃ­cita, Greenstone suministra los formatos por omisiÃ³n. En este caso, el formato por omisiÃ³n para el clasificador proporciona:
 <p>
 <ul>
@@ -211,5 +214,5 @@
 <p>
 
-<a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>ÐÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÐŸÐœÐœÑÐ¹ ÑÐ°Ð¹Ð»</a> ÑÑÐŸÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž ÑÐŸÐŽÐµÑÐ¶ÐžÑ ÑÐµÑÑÑÐµ Ð¿Ð»Ð°Ð³ÐžÐœÐ° <i>WordPlug, RTFPlug, PDFPlug</i> Ðž <i>PSPlug</i> (ÐœÐ°ÑÑÐŽÑ Ñ ÑÑÐµÐŒÑ ÑÑÐ°ÐœÐŽÐ°ÑÑÐœÑÐŒÐž <i>GAPlug, ArcPlug</i> Ðž <i>RecPlug</i>). ÐÑÐµ ÑÑÐž ÑÐµÑÑÑÐµ Ð¿Ð»Ð°Ð³ÐžÐœÐ° ÐžÐ·Ð²Ð»ÐµÐºÐ°ÑÑ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ ÐžÐ· <i>ÐÐ°Ð·Ð²Ð°ÐœÐžÑ</i> (<i>Title</i>) Ðž <i>ÐÑÑÐŸÑÐœÐžÐºÐ°</i> (<i>Source</i>), ÑÐŸ ÐµÑÑÑ ÐžÐŒÑ ÑÐ°Ð¹Ð»Ð°.
+<a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>ÐÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÐŸÐœÐœÑÐ¹ ÑÐ°Ð¹Ð»</a> ÑÑÐŸÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž ÑÐŸÐŽÐµÑÐ¶ÐžÑ ÑÐµÑÑÑÐµ Ð¿Ð»Ð°Ð³ÐžÐœÐ° <i>WordPlugin, RTFPlugin, PDFPlugin</i> Ðž <i>PostScriptPlugin</i> (ÐœÐ°ÑÑÐŽÑ Ñ ÑÐµÑÑÑÐµ ÑÑÐ°ÐœÐŽÐ°ÑÑÐœÑÐŒÐž <i>GreenstoneXMLPlugin, MetadataXMLPlugin, ArchivesInfPlugin</i> Ðž <i>DirectoryPlugin</i>). ÐÑÐµ ÑÑÐž ÑÐµÑÑÑÐµ Ð¿Ð»Ð°Ð³ÐžÐœÐ° ÐžÐ·Ð²Ð»ÐµÐºÐ°ÑÑ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ ÐžÐ· <i>ÐÐ°Ð·Ð²Ð°ÐœÐžÑ</i> (<i>Title</i>) Ðž <i>ÐÑÑÐŸÑÐœÐžÐºÐ°</i> (<i>Source</i>), ÑÐŸ ÐµÑÑÑ ÐžÐŒÑ ÑÐ°Ð¹Ð»Ð°.
 <p>
 
@@ -219,11 +222,10 @@
  ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ² Word (ÐœÐ°Ð¿ÑÐžÐŒÐµÑ, ÐŸÑ ÑÑÐ°ÑÑÑ
  ÑÐžÑÑÐµÐŒ ÐÐ°ÐºÐžÐœÑÐŸÑÐ°), Ðž ÐžÐœÐŸÐ³ÐŽÐ° ÑÐµÐºÑÑ ÑÐ¶Ð°ÑÐœÐŸ ÐžÐ·Ð²Ð»ÐµÐºÐ°ÐµÑÑÑ. ÐÐµÐºÐŸÑÐŸÑÑÐµ PDF ÑÐ°Ð¹Ð»Ñ ÐœÐµ ÑÐŸÐ·ÐŽÐ°ÑÑ ÐœÐžÐºÐ°ÐºÐŸÐ³ÐŸ ÐŒÐ°ÑÐžÐœÐœÐŸÑÐžÑÐ°ÐµÐŒÐŸÐ³ÐŸ ÑÐµÐºÑÑÐ° Ð²ÐŸÐŸÐ±ÑÐµ, Ð° Ð²ÐŒÐµÑÑÐŸ ÑÑÐŸÐ³ÐŸ Ð²ÐºÐ»ÑÑÐ°ÑÑ  Ð¿ÐŸÑÐ»ÐµÐŽÐŸÐ²Ð°ÑÐµÐ»ÑÐœÐŸÑÑÑ <i>ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐ¹</i> ÑÑÑÐ°ÐœÐžÑÑ, ÐžÐ· ÐºÐŸÑÐŸÑÑÑ
- ÑÐµÐºÑÑ ÐŒÐŸÐ¶ÐµÑ Ð±ÑÑÑ ÐžÐ·Ð²Ð»ÐµÑÐµÐœ ÑÐŸÐ»ÑÐºÐŸ Ð¿ÑÑÐµÐŒ ÐŸÐ¿ÑÐžÑÐµÑÐºÐŸÐ³ÐŸ ÑÐ°ÑÐ¿ÐŸÐ·ÐœÐ°Ð²Ð°ÐœÐžÑ (OCR), ÑÑÐŸ Ð² Greenstone ÐœÐµ Ð¿ÑÐµÐŽÑÑÐŒÐŸÑÑÐµÐœÐŸ. ÐÑÐ»Ðž ÐÑ ÑÑÐ°Ð»ÐºÐžÐ²Ð°ÐµÑÐµÑÑ Ñ ÑÑÐžÐŒÐž Ð¿ÑÐŸÐ±Ð»ÐµÐŒÐ°ÐŒÐž, ÑÐŸ ÐœÐµÑ ÐœÐžÑÐµÐ³ÐŸ ÐŽÑÑÐ³ÐŸÐ³ÐŸ, ÑÑÐŸ ÐÑ (ÐžÐ»Ðž ÐŒÑ) ÐŒÐŸÐ¶ÐµÑÐµ ÑÐŽÐµÐ»Ð°ÑÑ, ÐºÐ°Ðº Ð²ÑÐºÐžÐœÑÑÑ ÑÑÐž ÐŽÐŸÐºÑÐŒÐµÐœÑÑ ÐžÐ· ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž ÐžÐ»Ðž Ð¿ÐŸÐ¿ÑÑÐ°ÑÑÑÑ Ð¿ÐŸÐ»ÑÑÐžÑÑ ÐŽÑÑÐ³ÐžÐµ ÐžÑ
- Ð²ÐµÑÑÐžÐž.
+ ÑÐµÐºÑÑ ÐŒÐŸÐ¶ÐµÑ Ð±ÑÑÑ ÐžÐ·Ð²Ð»ÐµÑÐµÐœ ÑÐŸÐ»ÑÐºÐŸ Ð¿ÑÑÐµÐŒ ÐŸÐ¿ÑÐžÑÐµÑÐºÐŸÐ³ÐŸ ÑÐ°ÑÐ¿ÐŸÐ·ÐœÐ°Ð²Ð°ÐœÐžÑ (OCR), ÑÑÐŸ Ð² Greenstone ÐœÐµ Ð¿ÑÐµÐŽÑÑÐŒÐŸÑÑÐµÐœÐŸ. _text1_
 <p>
 
 
 <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>ÐÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÐŸÐœÐœÑÐ¹ ÑÐ°Ð¹Ð»</a> Ð²ÐºÐ»ÑÑÐ°ÐµÑ ÐµÐŽÐžÐœÑÑÐ²ÐµÐœÐœÑÐ¹ ÐžÐœÐŽÐµÐºÑ, ÐŸÑÐœÐŸÐ²Ð°ÐœÐœÑÐ¹ ÐœÐ° ÑÐµÐºÑÑÐµ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ° Ðž ÐŸÐŽÐžÐœ ÐºÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑ <i>AZList</i>, ÐŸÑÐœÐŸÐ²Ð°ÐœÐœÑÐ¹ ÐœÐ° ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
- <i>ÐÐ°Ð·Ð²Ð°ÐœÐžÑ</i>, Ð¿ÐŸÐºÐ°Ð·Ð°ÐœÐœÑÐ¹ <a href=\"_gwcgi_?l=_cgiargl_&c=wrdpdf-e&a=d&cl=CL1\">Ð·ÐŽÐµÑÑ</a> (Ð°Ð»ÑÐ°Ð²ÐžÑÐœÑÐ¹ ÐŸÑÐ±ÐŸÑÑÐžÐº Ð°Ð²ÑÐŸÐŒÐ°ÑÐžÑÐµÑÐºÐž ÐŸÑÐºÐ»ÑÑÐµÐœ, Ð¿ÐŸÑÐºÐŸÐ»ÑÐºÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ ÑÐŸÐŽÐµÑÐ¶ÐžÑ ÑÐŸÐ»ÑÐºÐŸ ÐœÐµÑÐºÐŸÐ»ÑÐºÐŸ ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ²). ÐÐŽÐœÐ°ÐºÐŸ ÐœÐžÐºÐ°ÐºÐžÑ
+ <i>ÐÐ°Ð·Ð²Ð°ÐœÐžÑ</i>, Ð¿ÐŸÐºÐ°Ð·Ð°ÐœÐœÑÐ¹ <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL1\">Ð·ÐŽÐµÑÑ</a> (Ð°Ð»ÑÐ°Ð²ÐžÑÐœÑÐ¹ ÐŸÑÐ±ÐŸÑÑÐžÐº Ð°Ð²ÑÐŸÐŒÐ°ÑÐžÑÐµÑÐºÐž ÐŸÑÐºÐ»ÑÑÐµÐœ, Ð¿ÐŸÑÐºÐŸÐ»ÑÐºÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ ÑÐŸÐŽÐµÑÐ¶ÐžÑ ÑÐŸÐ»ÑÐºÐŸ ÐœÐµÑÐºÐŸÐ»ÑÐºÐŸ ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ²). ÐÐŽÐœÐ°ÐºÐŸ ÐœÐžÐºÐ°ÐºÐžÑ
  ÐŸÐ¿ÐµÑÐ°ÑÐŸÑÐŸÐ² ÑÐŸÑÐŒÐ°ÑÐ° ÐœÐµ ÐŸÐ¿ÑÐµÐŽÐµÐ»ÐµÐœÐŸ. ÐÑÐž  ÐŸÑÑÑÑÑÑÐ²ÐžÐž ÑÐ²ÐœÐŸÐ¹ ÐžÐœÑÐŸÑÐŒÐ°ÑÐžÐž Greenstone  Ð¿ÐŸÐŽÐŽÐµÑÐ¶ÐžÐ²Ð°ÐµÑ Ð¿ÐŸ ÑÐŒÐŸÐ»ÑÐ°ÐœÐžÑ ÐœÐ°ÐžÐ±ÐŸÐ»ÐµÐµ ÐŸÑÑÑÐžÐŒÑÐµ. Ð ÑÑÐŸÐŒ ÑÐ»ÑÑÐ°Ðµ Ð¿ÐŸ ÑÐŒÐŸÐ»ÑÐ°ÐœÐžÑ ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÑÑÑÑ ÑÐ»ÐµÐŽÑÑÑÐžÐµ  ÑÐŸÑÐŒÐ°ÑÑ ÐŽÐ»Ñ ÐºÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑÐ°: 
 <p>