Index: /collections/documented-examples/trunk/authen-e/etc/collect.cfg
===================================================================
--- /collections/documented-examples/trunk/authen-e/etc/collect.cfg	(revision 19190)
+++ /collections/documented-examples/trunk/authen-e/etc/collect.cfg	(revision 19191)
@@ -11,5 +11,5 @@
 
 plugin		GreenstoneXMLPlugin
-plugin		HTMLPlugin -description_tags
+plugin		HTMLPlugin -description_tags -OIDtype dirname
 plugin		MetadataXMLPlugin
 plugin		ArchivesInfPlugin
@@ -42,5 +42,5 @@
 
 authenticate		document
-public_documents	HASH010f073f22033181e206d3b7 HASHac0a04dd14571c60d7fbfd
+public_documents	Jfb33fe Jfb34fe
 
 auth_group		demo
@@ -79,5 +79,5 @@
 <p>
 The <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>collection
-configuration file</a> is exactly the same as for the original demo collection apart from the authentication directives (and this description). 
+configuration file</a> is exactly the same as for the original demo collection apart from the authentication directives, one plugin option (and this description). 
 
 <p>
@@ -103,4 +103,11 @@
 in its Greenstone URL. \n
 
+<p>In this case, we have used the <i>-OIDtype dirname</i> option to HTMLPlugin,
+which specifies that directory names should be used as identifiers. This works 
+for collections where each document is in a separate directory. We have used 
+this option to ensure that identifiers remain the same across different 
+platforms (which may not be the case for HASH identifiers), as we need to 
+specify identifiers here for the authentication directives.\n
+
 <p>
 The <i>auth_groups</i> directive specifies the Greenstone groups for to which
@@ -126,8 +133,5 @@
 
 <p>
-Ce <a href=\"_httpcollection_/etc/collect.cfg\"
-target=collect.cfg>fichier de configuration de collection</a> est
-exactement le mÃªme que celui de la collection de dÃ©monstration originale
-sauf pour les directives d'authentification (et cette description).
+_text1_
 
 <p>
@@ -136,5 +140,5 @@
 
 <p>
-L'authentification est activÃ©e par la directive <i>Authenticate</i> avec la valeur <i>collection</i> ou <i>document</i>, suivant que la restriction d'accÃšs s'applique Ã  toute la collection ou sur des documents spÃ©cifiques (la valeur par dÃ©faut est <i>collection</i>). Si l'authentification est effectuÃ©e sur la base <i>document</i>, on peut donc soit spÃ©cifier une liste de documents privÃ©s (dans ce cas tous les autres sont publiques), soit une liste de documents publics (dans ce cas tous les autres sont privÃ©s)en utilisant les directives <i>private_documents</i> ou <i>public_documents</i>. 
+L'authentification est activÃ©e par la directive <i>authenticate</i> avec la valeur <i>collection</i> ou <i>document</i>, suivant que la restriction d'accÃšs s'applique Ã  toute la collection ou sur des documents spÃ©cifiques (la valeur par dÃ©faut est <i>collection</i>). Si l'authentification est effectuÃ©e sur la base <i>document</i>, on peut donc soit spÃ©cifier une liste de documents privÃ©s (dans ce cas tous les autres sont publiques), soit une liste de documents publics (dans ce cas tous les autres sont privÃ©s)en utilisant les directives <i>private_documents</i> ou <i>public_documents</i>. 
 Ces documents eux-mÃªmes sont specifiÃ©s en utilisant les identificateurs de 
 documents de Greenstone (sÃ©parÃ©s par des espaces) : la faÃ§on la plus facile de 
@@ -142,4 +146,6 @@
 regarder son argument <i>d</i> dans son URL Greenstone.
 
+<p>_text2_\n
+
 <p>
 La directive <i>auth-groups</i> prÃ©cise les groupes Greenstone pour lesquels l'accÃšs sera permis, si le document (ou la collection) est de ceux qui exigent une authentification. Il est suivi par un nom de groupe (ou une liste de noms 
@@ -162,5 +168,5 @@
 <p>
 
-El <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n</a> es exactamente el mismo que el de la demo original salvo las directivas para la autenticaciÃ³n (y su descripciÃ³n).
+_text1_
 
 <p>
@@ -168,6 +174,7 @@
 <p>
 
-La funciÃ³n de autenticaciÃ³n se activa por medio de la directiva <i>autenticar</i> con el valor <i>colecciÃ³n o documento</i>, dependiendo de si la autenticaciÃ³n se debe realizar para tener acceso a toda la colecciÃ³n o por cada documento (el valor por omisiÃ³n es <i>colecciÃ³n</i>). Si la autenticaciÃ³n se va a realizar con base en cada <i>documento</i>, entonces se puede establecer una lista de documentos confidenciales (en cuyo caso todos los demÃ¡s son del dominio pÃºblico) o una lista de documentos de dominio pÃºblico (en cuyo caso todos los demÃ¡s documentos son confidenciales) usando las directivas <i>private_documents</i> o <i>public_documents</i>. Los documentos mismos se especifican por medio de los identificadores de documento de Greenstone (separados por espacios). La forma mÃ¡s fÃ¡cil de determinarlos es localizar cada documento en la colecciÃ³n y ver el argumento d en su URL.
-<p>
+La funciÃ³n de autenticaciÃ³n se activa por medio de la directiva <i>authenticate</i> con el valor <i>collection</i> o <i>document</i>, dependiendo de si la autenticaciÃ³n se debe realizar para tener acceso a toda la colecciÃ³n o por cada documento (el valor por omisiÃ³n es <i>colecciÃ³n</i>). Si la autenticaciÃ³n se va a realizar con base en cada <i>documento</i>, entonces se puede establecer una lista de documentos confidenciales (en cuyo caso todos los demÃ¡s son del dominio pÃºblico) o una lista de documentos de dominio pÃºblico (en cuyo caso todos los demÃ¡s documentos son confidenciales) usando las directivas <i>private_documents</i> o <i>public_documents</i>. Los documentos mismos se especifican por medio de los identificadores de documento de Greenstone (separados por espacios). La forma mÃ¡s fÃ¡cil de determinarlos es localizar cada documento en la colecciÃ³n y ver el argumento d en su URL.\n
+
+<p>_text2_\n
 
 La directiva <i>auth_groups</i> especifica los grupos a los cuales se permite el acceso, si el documento (o la colecciÃ³n) es uno de los que requieren autenticaciÃ³n. EstÃ¡ seguida por el nombre del grupo (o una lista de nombres de grupos separados por espacios). Las pÃ¡ginas <i>admin</i> de Greenstone le permiten definir los grupos y aÃ±adir miembros. 
@@ -186,5 +193,5 @@
 
 <p>
-<a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>Ð€Ð°Ð¹Ð» ÐºÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÐž ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž</a> ÑÐŸÑÐœÐŸ ÑÐ°ÐºÐŸÐ¹ Ð¶Ðµ ÐºÐ°Ðº Ðž Ð² ÐŸÑÐžÐ³ÐžÐœÐ°Ð»ÑÐœÐŸÐ¹ ÐŽÐµÐŒÐŸ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž ÐºÑÐŸÐŒÐµ ÐŽÐžÑÐµÐºÑÐžÐ² Ð°ÑÑÐµÐœÑÐžÑÐžÐºÐ°ÑÐžÐž (Ðž ÐŽÐ°ÐœÐœÐŸÐ³ÐŸ ÐŸÐ¿ÐžÑÐ°ÐœÐžÑ).
+_text1_
 
 <p>
@@ -197,7 +204,5 @@
 
 <p>
-ÐÐ¿ÑÐµÐŽÐµÐ»ÐµÐœÐžÐµ Ð°ÑÑÐµÐœÑÐžÑÐœÐŸÑÑÐž Ð°ÐºÑÐžÐ²ÐžÐ·ÐžÑÐŸÐ²Ð°ÐœÐŸ Ð² ÑÐŸÐŸÑÐ²ÐµÑÑÑÐ²ÐžÐž Ñ ÐŽÐžÑÐµÐºÑÐžÐ²ÐŸÐ¹ Ð¿ÐŸÐŽÑÐ²ÐµÑÐ¶ÐŽÐµÐœÐžÑ Ð¿ÑÐ°Ð²Ð° ÐœÐ° ÐŽÐŸÑÑÑÐ¿ Ðº ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž Ð² ÑÐµÐ»ÐŸÐŒ ÐžÐ»Ðž Ðº ÐŸÑÐŽÐµÐ»ÑÐœÑÐŒ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ°ÐŒ Ð² Ð·Ð°Ð²ÐžÑÐžÐŒÐŸÑÑÐž ÐŸÑ ÑÐŸÐ³ÐŸ, ÐŽÐŸÐ»Ð¶ÐœÐ° Ð»Ðž Ð°ÑÑÐµÐœÑÐžÑÐžÐºÐ°ÑÐžÑ ÑÐ°ÑÐ¿ÑÐŸÑÑÑÐ°ÐœÑÑÑÑÑ ÐœÐ° Ð¿ÐŸÐ»ÐœÑÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ ÐžÐ»Ðž ÐœÐ° Ð¿ÐŸÐŽÐŸÐºÑÐŒÐµÐœÑÐœÐŸÐ¹ ÐŸÑÐœÐŸÐ²Ðµ (Ð·ÐœÐ°ÑÐµÐœÐžÐµÐŒ Ð¿ÐŸ ÑÐŒÐŸÐ»ÑÐ°ÐœÐžÑ ÑÐ²Ð»ÑÐµÑÑÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ).  ÐÑÐ»Ðž Ð°ÑÑÐµÐœÑÐžÑÐžÐºÐ°ÑÐžÑ Ð¿ÑÐŸÐžÐ·Ð²ÐŸÐŽÐžÑÑÑ ÐœÐ° Ð±Ð°Ð·Ðµ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ°, ÑÐŸ ÐŒÐŸÐ¶ÐœÐŸ ÐžÐ»Ðž ÐŸÐ¿ÑÐµÐŽÐµÐ»ÐžÑÑ ÑÐ¿ÐžÑÐŸÐº ÐœÐµÐŽÐŸÑÑÑÐ¿ÐœÑÑ
- ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ² (Ð² ÑÑÐŸÐŒ ÑÐ»ÑÑÐ°Ðµ Ð²ÑÐµ ÐŽÑÑÐ³ÐžÐµ ÑÐ²Ð»ÑÑÑÑÑ ÐŸÐ±ÑÐµÐŽÐŸÑÑÑÐ¿ÐœÑÐŒÐž) ÐžÐ»Ðž Ð¶Ðµ ÐŽÐ°ÑÑ ÑÐ¿ÐžÑÐŸÐº ÐŸÐ±ÑÐµÐŽÐŸÑÑÑÐ¿ÐœÑÑ
- ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ² (ÑÐŸÐ³ÐŽÐ° Ð²ÑÐµ ÐŽÑÑÐ³ÐžÐµ ÑÐ²Ð»ÑÑÑÑÑ ÐœÐµÐŽÐŸÑÑÑÐ¿ÐœÑÐŒÐž), ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÑ ÐŽÐžÑÐµÐºÑÐžÐ²Ñ <i>private_documents</i> ÐžÐ»Ðž <i>public_documents</i>. Ð¡Ð¿ÐµÑÐžÑÐžÐºÑ ÑÐ°ÐŒÐžÑ
+_text3_ Ð¡Ð¿ÐµÑÐžÑÐžÐºÑ ÑÐ°ÐŒÐžÑ
  ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ² ÐŸÐ¿ÑÐµÐŽÐµÐ»ÑÑÑ, ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÑ ÐžÐŽÐµÐœÑÐžÑÐžÐºÐ°ÑÐŸÑÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ° Ð² Greenstone (ÑÐ°ÑÐ¿ÑÐµÐŽÐµÐ»ÐµÐœÐœÑÑ
  Ð¿ÐŸ ÐŸÐ±Ð»Ð°ÑÑÑÐŒ). Ð¡Ð°ÐŒÑÐ¹ Ð»ÐµÐ³ÐºÐžÐ¹ ÑÐ¿ÐŸÑÐŸÐ± ÐžÑ
@@ -205,4 +210,5 @@
 ÐŸÐ¶ÐŽÐµÐœÐžÐµ ÐºÐ°Ð¶ÐŽÐŸÐ³ÐŸ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ° Ð² ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž Ðž ÑÐ°ÑÑÐŒÐŸÑÑÐµÑÑ  ÐµÐ³ÐŸ <i>d</i>-Ð°ÑÐ³ÑÐŒÐµÐœÑ Ð² URL Greenstone.
 
+<p>_text2_\n
 <p>
 ÐÐžÑÐµÐºÑÐžÐ²Ð° <i>auth_groups</i> ÐŸÐ¿ÑÐµÐŽÐµÐ»ÑÐµÑ Ð³ÑÑÐ¿Ð¿Ñ Greenstone, Ðº ÐºÐŸÑÐŸÑÑÐŒ ÐŽÐŸÑÑÑÐ¿ Ð±ÑÐŽÐµÑ ÑÐ°Ð·ÑÐµÑÐµÐœ, ÐµÑÐ»Ðž ÐŽÐŸÐºÑÐŒÐµÐœÑ (ÐžÐ»Ðž ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ) ÐŸÑÐœÐŸÑÐžÑÑÑ Ðº ÑÐµÐŒ, ÐŽÐ»Ñ ÐºÐŸÑÐŸÑÑÑ