Index: /release-kits/shared/core/ant-installer/src/org/tp23/antinstaller/renderer/swing/CheckboxInputRenderer.java
===================================================================
--- /release-kits/shared/core/ant-installer/src/org/tp23/antinstaller/renderer/swing/CheckboxInputRenderer.java	(revision 19199)
+++ /release-kits/shared/core/ant-installer/src/org/tp23/antinstaller/renderer/swing/CheckboxInputRenderer.java	(revision 19200)
@@ -19,6 +19,13 @@
 import java.awt.event.ActionListener;
 
+import java.awt.FlowLayout;
+import java.awt.GridLayout;
+import java.awt.BorderLayout;
 import javax.swing.JLabel;
 import javax.swing.JPanel;
+import java.awt.Dimension;
+import java.awt.Insets;
+import javax.swing.JTextField;
+
 
 import org.tp23.antinstaller.input.CheckboxInput;
@@ -75,10 +82,27 @@
     }
 	public int addSelf(JPanel content, GBCF cf,  int row, boolean overflow) {
-		content.add(fieldLabel, cf.getCell(row, 0));
-		content.add(checkBox, cf.getCell(row, 1));
+		JPanel p;
+
+		//p = new JPanel(new FlowLayout(FlowLayout.LEFT));
+		BorderLayout l = new BorderLayout();
+		p = new JPanel(l);
+		p.add( fieldLabel, BorderLayout.WEST );
+		p.add( checkBox, BorderLayout.CENTER );
+		content.add(p);
+
+		p = new JPanel();
+		p.setMinimumSize( new Dimension(0,1) );
+		content.add(p);
+		return ++row;
+/*
+		JPanel p = new JPanel();
+		p.add(fieldLabel);
+		p.add(checkBox);
 		if(overflow){
 			checkBox.setOverflow(SizeConstants.OVERFLOW_FIELD_SIZE);
 		}
-		return ++row;
+		content.add(p);
+
+*/
 	}
 
Index: /release-kits/shared/core/ant-installer/src/org/tp23/antinstaller/renderer/swing/ValidatedTextInputRenderer.java
===================================================================
--- /release-kits/shared/core/ant-installer/src/org/tp23/antinstaller/renderer/swing/ValidatedTextInputRenderer.java	(revision 19199)
+++ /release-kits/shared/core/ant-installer/src/org/tp23/antinstaller/renderer/swing/ValidatedTextInputRenderer.java	(revision 19200)
@@ -23,6 +23,12 @@
 import java.util.ResourceBundle;
 
+import java.awt.Dimension;
+import java.awt.Insets;
 import javax.swing.JPanel;
 import javax.swing.JTextField;
+import java.awt.FlowLayout;
+import java.awt.GridLayout;
+import java.awt.BorderLayout;
+
 
 import org.tp23.antinstaller.input.OutputField;
@@ -88,10 +94,19 @@
 
     public int addSelf(JPanel content, GBCF cf, int row, boolean overflow) {
-        content.add(fieldLabel, cf.getCell(row, 0));
-        content.add(jTextField, cf.getCell(row, 1));
-        if (overflow) {
-            ((AITextfield) jTextField).setOverflow(SizeConstants.OVERFLOW_FIELD_SIZE);
-        }
-        return ++row;
+
+		JPanel p;
+
+		//p = new JPanel(new FlowLayout(FlowLayout.LEFT));
+		BorderLayout l = new BorderLayout();
+		p = new JPanel(l);
+		p.add( fieldLabel, BorderLayout.WEST );
+		p.add( jTextField, BorderLayout.CENTER );
+		content.add(p);
+
+		p = new JPanel();
+		p.setMinimumSize( new Dimension(0,1) );
+		content.add(p);
+
+		return ++row;
     }
 
@@ -101,6 +116,5 @@
     public void renderError() {
         MessageRenderer mr = ctx.getMessageRenderer();
-        mr.printMessage(org.tp23.antinstaller.Installer.langPack.getString("notCorrectFormat") + "\n\n e.g. "
-                + inputField.getDefaultValue());
+        mr.printMessage( org.tp23.antinstaller.Installer.langPack.getString("notCorrectFormat") );
         this.jTextField.requestFocus();
         this.jTextField.setForeground(Color.red);
Index: /release-kits/shared/core/language-strings/LanguagePack.properties
===================================================================
--- /release-kits/shared/core/language-strings/LanguagePack.properties	(revision 19199)
+++ /release-kits/shared/core/language-strings/LanguagePack.properties	(revision 19200)
@@ -92,7 +92,18 @@
 
 ### Admin password page
-page.admin-password.displayText = Please set the Admin Password
+
+
+page.admin-pages.displayText = Administrations Pages
+admin-expl.displayText = The administration pages of the Greenstone interface allow you to manage the users database, which required if you wish to set up remote greenstone. They also provide an easy way to view log files and to edit the file 'main.cfg'.
+admin-expl-2.displayText = Do you wish to the enable the administration pages of Greenstone? (You will be asked for a password on the next page.)
+admin-expl-3.displayText = NOTE: If you enable the administration pages, they may be accessible over the internet. Please choose a secure password to protect them.
+enable.admin.pages.displayText = Enable Admin Pages
+
+page.admin-password.displayText = Admin Password
+admin-password-expl.displayText =  A user with the username 'admin' will be created for you with the password you provide. Please enter the admin password. The password must be between 3 and 20 characters long.
 admin.password.displayText = Admin Password
-admin-password-expl.displayText = In order to access certain parts of the Greenstone interface you need a password. A user with the username 'admin' will be created for you with the password you provide. The password must be between 3 and 20 characters long.
+
+
+
 
 ### Tomcat config page