Index: /release-kits/lirk2/installer/antinstall-config.xml
===================================================================
--- /release-kits/lirk2/installer/antinstall-config.xml	(revision 19200)
+++ /release-kits/lirk2/installer/antinstall-config.xml	(revision 19201)
@@ -83,9 +83,16 @@
 	</page>
 
-	<page type="input" name="admin-password" displayText="">
+	<page type="input" name="admin-pages" displayText="">
+		<comment name="admin-expl"/>
+		<comment name="admin-expl-2"/>
+		<comment name="admin-expl-3"/>
+		<checkbox property="enable.admin.pages" displayText="" defaultValue="false"/>
+	</page>
+
+	<page type="input" name="admin-password" displayText="" ifProperty="(${enable.admin.pages}==true)" target="Configuring Administration Pages">
 		<comment name="admin-password-expl"/>
-<!--		<validated property="admin.password" defaultValue="" displayText="" regex="^.{3,20}$"/>-->
-		<text property="admin.password" defaultValue="admin" displayText=""/>
+		<validated property="admin.password" defaultValue="" displayText="" regex="^.{3,20}$"/>
 	</page>
+
 	<!-- end binary release -->
 
Index: /release-kits/lirk2/installer/build.xml
===================================================================
--- /release-kits/lirk2/installer/build.xml	(revision 19200)
+++ /release-kits/lirk2/installer/build.xml	(revision 19201)
@@ -66,19 +66,5 @@
 		<echo/>
 
-		<echo>Creating admin and demo users</echo>
-		<adduser txt2db="${installDir}/bin/linux/txt2db"
-			usersDb="${installDir}/etc/users.gdb"
-			username="admin"
-			password="${admin.password}"
-			groups="administrator,colbuilder"
-			comment="created at install time"/>
-		<adduser
-			txt2db="${installDir}/bin/linux/txt2db"
-			usersDb="${installDir}/etc/users.gdb"
-			username="demo"
-			password="demo"
-			groups="demo"
-			comment="Dummy 'demo' user with password 'demo' for authen-e collection"/>
-
+	
 		<echo>Set the installation locale in config files</echo>
 		<rsr file="${installDir}/setup.bash" pattern="^gsdllang=.*" replacement="gsdllang=${language}"/>
@@ -93,6 +79,4 @@
 		<echo file="${installDir}/etc/main.cfg" append="true"
 			>cgiarg          shortname=l argdefault=${language}</echo>
-
-		<rsr file="${installDir}/etc/main.cfg" pattern="^status .*" replacement="status enabled"/>
 
 		<echo>Setting up apache web server</echo>
@@ -162,6 +146,4 @@
 			>cgiarg          shortname=l argdefault=${language}</echo>
 
-		<rsr file="${installDir}/etc/main.cfg" pattern="^status .*" replacement="status enabled"/>
-
 		<echo>Create usage.txt</echo>
 		<echo file="${installDir}/etc/usage.txt"></echo>
@@ -172,3 +154,22 @@
 	</target>
 
+	<target name="Configuring Administration Pages" if="enable.admin.pages">
+		<echo>Enabling Admin Pages</echo>
+		<rsr file="${installDir}/etc/main.cfg" pattern="^\s*status\s+.*" replacement="status enabled"/>
+		<echo>Creating admin and demo users</echo>
+		<adduser txt2db="${installDir}/bin/linux/txt2db"
+			usersDb="${installDir}/etc/users.gdb"
+			username="admin"
+			password="${admin.password}"
+			groups="administrator,colbuilder"
+			comment="created at install time"/>
+		<adduser
+			txt2db="${installDir}/bin/linux/txt2db"
+			usersDb="${installDir}/etc/users.gdb"
+			username="demo"
+			password="demo"
+			groups="demo"
+			comment="Dummy 'demo' user with password 'demo' for authen-e collection"/>
+	</target>
+
 </project>
Index: /release-kits/mark2/installer/antinstall-config.xml
===================================================================
--- /release-kits/mark2/installer/antinstall-config.xml	(revision 19200)
+++ /release-kits/mark2/installer/antinstall-config.xml	(revision 19201)
@@ -78,11 +78,19 @@
 
 	</page>
+
+	<page type="input" name="admin-pages" displayText="">
+		<comment name="admin-expl"/>
+		<comment name="admin-expl-2"/>
+		<comment name="admin-expl-3"/>
+		<checkbox property="enable.admin.pages" displayText="" defaultValue="false"/>
+	</page>
+
+	<page type="input" name="admin-password" displayText="" ifProperty="(${enable.admin.pages}==true)" target="Configuring Administration Pages">
+		<comment name="admin-password-expl"/>
+		<validated property="admin.password" defaultValue="" displayText="" regex="^.{3,20}$"/>
+	</page>
+
 	<!-- end binary release -->
 
-	<page type="input" name="admin-password" displayText="">
-		<comment name="admin-password-expl"/>
-<!--		<validated property="admin.password" defaultValue="" displayText="" regex="^.{3,20}$"/>-->
-		<text property="admin.password" defaultValue="admin" displayText=""/>
-	</page>
 
 	<page type="progress" name="progress" showTargets="true" displayText=""/>
Index: /release-kits/mark2/installer/build.xml
===================================================================
--- /release-kits/mark2/installer/build.xml	(revision 19200)
+++ /release-kits/mark2/installer/build.xml	(revision 19201)
@@ -55,19 +55,4 @@
 		<rsr file="${installDir}/cgi-bin/gliserver.pl" pattern="^#!.*" replacement="#!${perl.executable} -w" lines="1"/>
 		<echo/>
-
-		<echo message="Creating admin and demo users"/>
-		<adduser txt2db="${installDir}/bin/darwin/txt2db"
-			usersDb="${installDir}/etc/users.gdb"
-			username="admin"
-			password="${admin.password}"
-			groups="administrator,colbuilder"
-			comment="created at install time"/>
-		<adduser
-			txt2db="${installDir}/bin/darwin/txt2db"
-			usersDb="${installDir}/etc/users.gdb"
-			username="demo"
-			password="demo"
-			groups="demo"
-			comment="Dummy 'demo' user with password 'demo' for authen-e collection"/>
 
 		<!-- delete unneeded files -->	    
@@ -153,4 +138,22 @@
 	</target>
 
+	<target name="Configuring Administration Pages" if="enable.admin.pages">
+		<echo>Enabling Admin Pages</echo>
+		<rsr file="${installDir}/etc/main.cfg" pattern="^\s*status\s+.*" replacement="status enabled"/>
+		<echo message="Creating admin and demo users"/>
+		<adduser txt2db="${installDir}/bin/darwin/txt2db"
+			usersDb="${installDir}/etc/users.gdb"
+			username="admin"
+			password="${admin.password}"
+			groups="administrator,colbuilder"
+			comment="created at install time"/>
+		<adduser
+			txt2db="${installDir}/bin/darwin/txt2db"
+			usersDb="${installDir}/etc/users.gdb"
+			username="demo"
+			password="demo"
+			groups="demo"
+			comment="Dummy 'demo' user with password 'demo' for authen-e collection"/>
+	</target>
 
 
Index: /release-kits/wirk2/installer/antinstall-config.xml
===================================================================
--- /release-kits/wirk2/installer/antinstall-config.xml	(revision 19200)
+++ /release-kits/wirk2/installer/antinstall-config.xml	(revision 19201)
@@ -93,9 +93,17 @@
 	</page>
 
-	<page type="input" name="admin-password" displayText="">
+	<page type="input" name="admin-pages" displayText="">
+		<comment name="admin-expl"/>
+		<comment name="admin-expl-2"/>
+		<comment name="admin-expl-3"/>
+		<checkbox property="enable.admin.pages" displayText="" defaultValue="false"/>
+	</page>
+
+	<page type="input" name="admin-password" displayText="" ifProperty="(${enable.admin.pages}==true)" target="Configuring Administration Pages">
 		<comment name="admin-password-expl"/>
-<!--		<validated property="admin.password" defaultValue="" displayText="" regex="^.{3,20}$"/>-->
-		<text property="admin.password" defaultValue="admin" displayText=""/>
+		<validated property="admin.password" defaultValue="" displayText="" regex="^.{3,20}$"/>
 	</page>
+
+
 	<!-- end binary release -->
 
Index: /release-kits/wirk2/installer/build.xml
===================================================================
--- /release-kits/wirk2/installer/build.xml	(revision 19200)
+++ /release-kits/wirk2/installer/build.xml	(revision 19201)
@@ -70,4 +70,148 @@
 		</copy>
 		
+		<echo>Correcting perl shebangs in perl scripts</echo>
+		<property name="perl.executable" value="${installDir.local}\bin\windows\perl\perl.exe"/>
+		<rsr file="${installDir}/cgi-bin/gliserver.pl" pattern="^#!.*" replacement="#!${perl.executable} -w" lines="1"/>
+		
+		<echo>Creating the english dictionary</echo>
+		<copy file="${installDir}/gli/classes/dictionary.properties" tofile="${installDir}/gli/classes/dictionary_en.properties"/>
+		<echo/>
+
+		<echo message="Creating installation properties file"/>
+		<echo file="${installDir}\etc\installation.properties">installed.startmenu.path:${startmenu.path.unix}</echo>
+		
+		<echo message="Finished"/>
+		
+	</target>
+
+	<target name="Installing ImageMagick">
+		<echo message="Installing ImageMagick"/>
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="imagemagick.lzma"/></patternset></unzip>
+		<exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x imagemagick.lzma"/></exec>
+		<!--<sevenzip task="decode" input="${basedir}/imagemagick.lzma" output="${basedir}/imagemagick.comp"/>-->
+		<delete file="imagemagick.lzma"/>
+		<unzip src="${basedir}/imagemagick.comp" dest="${installDir}/bin/windows"/>
+		<delete file="imagemagick.comp"/>
+	</target>
+
+	<target name="Installing Ghostscript">
+		<echo message="Installing GhostScript"/>
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="ghostscript.lzma"/></patternset></unzip>
+		<exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x ghostscript.lzma"/></exec>
+		<!--<sevenzip task="decode" input="${basedir}/ghostscript.lzma" output="${basedir}/ghostscript.comp"/>-->
+		<delete file="ghostscript.lzma"/>
+		<unzip src="${basedir}/ghostscript.comp" dest="${installDir}/bin/windows"/>
+		<delete file="ghostscript.comp"/>
+	</target>
+	
+	<!-- Start menu shortcuts -->
+	<target name="Installing Start Menu Shortcuts">
+
+		<mkdir dir="${startmenu.path}\Documentation"/>
+		
+		<shortcut
+			file="${startmenu.path}\Greenstone Server.lnk"
+			execute="${installDir}\server.exe"
+			workingDirectory="${installDir}"
+			iconFile="${installDir}\images\serverico.ico"
+			iconIndex="0" />
+
+		<shortcut
+			file="${startmenu.path}\Librarian Interface (GLI).lnk"
+			execute="${installDir}\gli\gli.bat"
+			workingDirectory="${installDir}\gli"
+			iconFile="${installDir}\images\icon.ico"
+			iconIndex="0" />
+
+		<shortcut
+			file="${startmenu.path}\Metadata Set Editor (GEMS).lnk"
+			execute="${installDir}\gli\gems.bat"
+			workingDirectory="${installDir}\gli"
+			iconFile="${installDir}\images\gems.ico"
+			iconIndex="0" />
+
+		<shortcut
+			file="${startmenu.path}\Uninstall.lnk"
+			execute="${installDir}\Uninstall.bat"
+			workingDirectory="${installDir}"
+			iconFile="${installDir}\images\uninstall.ico"
+			iconIndex="0" />
+
+		<shortcut
+			file="${startmenu.path}\Documentation\READMEen.lnk"
+			execute="${installDir}\READMEen.txt" />
+
+		<shortcut
+			file="${startmenu.path}\Documentation\Greenstone Wiki.url"
+			url="http://wiki.greenstone.org" />
+
+			<shortcut
+			file="${startmenu.path}\Documentation\Greenstone Website.url"
+			url="http://www.greenstone.org" />
+			
+<!--
+		<shortcut
+			file="${startmenu.path}\Documentation\READMEes.lnk"
+			execute="${installDir}\READMEes.txt" />
+
+		<shortcut
+			file="${startmenu.path}\Documentation\READMEar.lnk"
+			execute="${installDir}\READMEar.txt" />
+
+		<shortcut
+			file="${startmenu.path}\Documentation\READMEfr.lnk"
+			execute="${installDir}\READMEfr.txt" />
+
+		<shortcut
+			file="${startmenu.path}\Documentation\READMEru.lnk"
+			execute="${installDir}\READMEru.txt" />
+		-->
+
+	</target>
+
+	<target name="Source Release" depends="">
+
+		<!-- create the installation directory -->
+		<echo message="Creating Installation directory"/>
+		<mkdir dir="${installDir}"/>
+
+		<!-- extract 7za tool -->
+		<unzip src="${antinstaller.jar}" dest="${basedir}">
+			<patternset><include name="7za.exe"/></patternset>
+		</unzip>
+
+		<echo>Installing Source Release</echo>
+		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="source-release.lzma"/></patternset></unzip>
+		<exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x source-release.lzma"/></exec>
+		<delete file="source-release.lzma"/>
+		<unzip src="${basedir}/source-release.comp" dest="${installDir}"/>
+		<delete file="source-release.comp"/>
+
+		<!-- figure out the start menu path -->
+		<getfreepath path="${win32.personal.programs_menu}\Greenstone-@version@" property="startmenu.path"/>		
+		<path id="startmenu.path.path" path="${startmenu.path}"/>
+		<pathconvert targetos="unix" property="startmenu.path.unix" refid="startmenu.path.path"/>
+
+		<echo message="Filling in concrete values in config files"/>
+		<rsr file="${installDir}/setup.bat" pattern="\*\*GSDLHOME\*\*" replacement="${installDir}"/>
+		<rsr file="${installDir}/cgi-bin/gsdlsite.cfg">
+			<job pattern="\*\*GSDLHOME\*\*" replacement="${installDir}"/>
+			<job pattern="^(#?httpprefix).*" replacement="$1 /gsdl"/>
+			<job pattern="^(#?httpimg).*" replacement="$1 /gsdl/images"/>
+		</rsr>
+
+		<echo>Create usage.txt</echo>
+		<echo file="${installDir}/etc/usage.txt"></echo>
+				
+		<echo message="Creating installation properties file"/>
+		<echo file="${installDir}\etc\installation.properties">installed.startmenu.path:${startmenu.path.unix}</echo>
+		
+		<echo message="Finished"/>
+		
+	</target>
+
+	<target name="Configuring Administration Pages" if="enable.admin.pages">
+		<echo>Enabling Admin Pages</echo>
+		<rsr file="${installDir}/etc/main.cfg" pattern="^\s*status\s+.*" replacement="status enabled"/>
 		<echo message="Creating admin and demo users"/>
 		<adduser
@@ -85,145 +229,6 @@
 			groups="demo"
 			comment="Dummy 'demo' user with password 'demo' for authen-e collection"/>
-
-		<echo>Correcting perl shebangs in perl scripts</echo>
-		<property name="perl.executable" value="${installDir.local}\bin\windows\perl\perl.exe"/>
-		<rsr file="${installDir}/cgi-bin/gliserver.pl" pattern="^#!.*" replacement="#!${perl.executable} -w" lines="1"/>
-		
-		<echo>Creating the english dictionary</echo>
-		<copy file="${installDir}/gli/classes/dictionary.properties" tofile="${installDir}/gli/classes/dictionary_en.properties"/>
-		<echo/>
-
-		<echo message="Creating installation properties file"/>
-		<echo file="${installDir}\etc\installation.properties">installed.startmenu.path:${startmenu.path.unix}</echo>
-		
-		<echo message="Finished"/>
-		
-	</target>
-
-	<target name="Installing ImageMagick">
-		<echo message="Installing ImageMagick"/>
-		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="imagemagick.lzma"/></patternset></unzip>
-		<exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x imagemagick.lzma"/></exec>
-		<!--<sevenzip task="decode" input="${basedir}/imagemagick.lzma" output="${basedir}/imagemagick.comp"/>-->
-		<delete file="imagemagick.lzma"/>
-		<unzip src="${basedir}/imagemagick.comp" dest="${installDir}/bin/windows"/>
-		<delete file="imagemagick.comp"/>
-	</target>
-
-	<target name="Installing Ghostscript">
-		<echo message="Installing GhostScript"/>
-		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="ghostscript.lzma"/></patternset></unzip>
-		<exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x ghostscript.lzma"/></exec>
-		<!--<sevenzip task="decode" input="${basedir}/ghostscript.lzma" output="${basedir}/ghostscript.comp"/>-->
-		<delete file="ghostscript.lzma"/>
-		<unzip src="${basedir}/ghostscript.comp" dest="${installDir}/bin/windows"/>
-		<delete file="ghostscript.comp"/>
-	</target>
-	
-	<!-- Start menu shortcuts -->
-	<target name="Installing Start Menu Shortcuts">
-
-		<mkdir dir="${startmenu.path}\Documentation"/>
-		
-		<shortcut
-			file="${startmenu.path}\Greenstone Server.lnk"
-			execute="${installDir}\server.exe"
-			workingDirectory="${installDir}"
-			iconFile="${installDir}\images\serverico.ico"
-			iconIndex="0" />
-
-		<shortcut
-			file="${startmenu.path}\Librarian Interface (GLI).lnk"
-			execute="${installDir}\gli\gli.bat"
-			workingDirectory="${installDir}\gli"
-			iconFile="${installDir}\images\icon.ico"
-			iconIndex="0" />
-
-		<shortcut
-			file="${startmenu.path}\Metadata Set Editor (GEMS).lnk"
-			execute="${installDir}\gli\gems.bat"
-			workingDirectory="${installDir}\gli"
-			iconFile="${installDir}\images\gems.ico"
-			iconIndex="0" />
-
-		<shortcut
-			file="${startmenu.path}\Uninstall.lnk"
-			execute="${installDir}\Uninstall.bat"
-			workingDirectory="${installDir}"
-			iconFile="${installDir}\images\uninstall.ico"
-			iconIndex="0" />
-
-		<shortcut
-			file="${startmenu.path}\Documentation\READMEen.lnk"
-			execute="${installDir}\READMEen.txt" />
-
-		<shortcut
-			file="${startmenu.path}\Documentation\Greenstone Wiki.url"
-			url="http://wiki.greenstone.org" />
-
-			<shortcut
-			file="${startmenu.path}\Documentation\Greenstone Website.url"
-			url="http://www.greenstone.org" />
-			
-<!--
-		<shortcut
-			file="${startmenu.path}\Documentation\READMEes.lnk"
-			execute="${installDir}\READMEes.txt" />
-
-		<shortcut
-			file="${startmenu.path}\Documentation\READMEar.lnk"
-			execute="${installDir}\READMEar.txt" />
-
-		<shortcut
-			file="${startmenu.path}\Documentation\READMEfr.lnk"
-			execute="${installDir}\READMEfr.txt" />
-
-		<shortcut
-			file="${startmenu.path}\Documentation\READMEru.lnk"
-			execute="${installDir}\READMEru.txt" />
-		-->
-
-	</target>
-
-	<target name="Source Release" depends="">
-
-		<!-- create the installation directory -->
-		<echo message="Creating Installation directory"/>
-		<mkdir dir="${installDir}"/>
-
-		<!-- extract 7za tool -->
-		<unzip src="${antinstaller.jar}" dest="${basedir}">
-			<patternset><include name="7za.exe"/></patternset>
-		</unzip>
-
-		<echo>Installing Source Release</echo>
-		<unzip src="${antinstaller.jar}" dest="${basedir}"><patternset><include name="source-release.lzma"/></patternset></unzip>
-		<exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x source-release.lzma"/></exec>
-		<delete file="source-release.lzma"/>
-		<unzip src="${basedir}/source-release.comp" dest="${installDir}"/>
-		<delete file="source-release.comp"/>
-
-		<!-- figure out the start menu path -->
-		<getfreepath path="${win32.personal.programs_menu}\Greenstone-@version@" property="startmenu.path"/>		
-		<path id="startmenu.path.path" path="${startmenu.path}"/>
-		<pathconvert targetos="unix" property="startmenu.path.unix" refid="startmenu.path.path"/>
-
-		<echo message="Filling in concrete values in config files"/>
-		<rsr file="${installDir}/setup.bat" pattern="\*\*GSDLHOME\*\*" replacement="${installDir}"/>
-		<rsr file="${installDir}/cgi-bin/gsdlsite.cfg">
-			<job pattern="\*\*GSDLHOME\*\*" replacement="${installDir}"/>
-			<job pattern="^(#?httpprefix).*" replacement="$1 /gsdl"/>
-			<job pattern="^(#?httpimg).*" replacement="$1 /gsdl/images"/>
-		</rsr>
-
-		<echo>Create usage.txt</echo>
-		<echo file="${installDir}/etc/usage.txt"></echo>
-				
-		<echo message="Creating installation properties file"/>
-		<echo file="${installDir}\etc\installation.properties">installed.startmenu.path:${startmenu.path.unix}</echo>
-		
-		<echo message="Finished"/>
-		
-	</target>
+	</target>
+
 
 